Debian Bug report logs - #469397
ITP: xbmc -- XBMC Media Center

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: amejia@debian.org

Date: Wed, 5 Mar 2008 00:03:09 UTC

Owned by: amejia@debian.org

Severity: wishlist

Merged with 584096

Fixed in versions xbmc/2:11.0~git20120403.ec33f1f-1, xbmc/2:11.0~git20120403.ec33f1f+repack1-1

Done: Andres Mejia <amejia@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#469397; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matthew Johnson <mjj29@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthew Johnson <mjj29@debian.org>
To: submit@bugs.debian.org
Subject: ITP: xbmc -- XBox Media Center Linux Port
Date: Wed, 05 Mar 2008 00:02:19 +0000
Package: wnpp
Severity: wishlist
Owner: Matthew Johnson <mjj29@debian.org>
X-Debbugs-CC: debian-devel@lists.debian.org

      Source package: xbmc
   Binary package(s): xbmc
             Version: 0.0~02032008
             Licence: GPLv2
              Author: Various
            Homepage: http://xbmc.org/

Description: XBox Media Center Linux Port
 A media center originally written for the XBox and then ported to linux.

I intend to upload this to experimental to start with. The linux port of it is
just that. It's also designed for installation to a single directory, not
installation on a unix system. I'll need to hack round that first. The version
number is a CVS snapshot. I need to improve the long description before
uploading.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Matthew Johnson <mjj29@debian.org>:
Bug#469397; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Faidon Liambotis <paravoid@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Matthew Johnson <mjj29@debian.org>. Full text and rfc822 format available.

Message #10 received at 469397@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: Matthew Johnson <mjj29@debian.org>
Cc: 469397@bugs.debian.org
Subject: Re: Bug#469397: ITP: xbmc -- XBox Media Center Linux Port
Date: Wed, 05 Mar 2008 02:51:26 +0200
Matthew Johnson wrote:
> Description: XBox Media Center Linux Port
>  A media center originally written for the XBox and then ported to linux.
> 
> I intend to upload this to experimental to start with. The linux port of it is
> just that. It's also designed for installation to a single directory, not
> installation on a unix system. I'll need to hack round that first. The version
> number is a CVS snapshot. I need to improve the long description before
> uploading.
First of all, you surely must mean SVN and you should use a version 
number like 0.0~svn20080302, i.e. YYYYMMDD or else I'd expect an epoch 
pretty soon :)

I've had a look at this and even made it to successfully work on my 
machine. I reported some issues back to upstream (e.g. incompatibility 
with libmms 0.4) and told them that I was interested on bringing this to 
Debian. I also mentioned the FHS issue which is an obvious blocker for 
Debian inclusion.

I've had only negative comments; they apparently don't care about 
inclusion in Debian or Ubuntu (which is their platform of preference) 
and they just want to be able to release a liveCD that works.
The FHS proposal was thought to be "too much trouble for little gain" 
and potentially harming the MacOSX port which is also under development.

I had a look at the code and it's a mess, because of the XDK/Windows 
heritage, e.g. there are conversions between Windows paths (H:\) and 
Linux ones (/opt/xbmc).

...and that's why I never filed an ITP and still don't regret that choice.

All in all, good luck with that ;-)
You should expect some heavy upstream patching and a potentially 
unfriendly upstream.

But I'd really like to see this packaged.

Thanks,
Faidon




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Matthew Johnson <mjj29@debian.org>:
Bug#469397; Package wnpp. (Sat, 10 Jan 2009 18:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Matthew Johnson <mjj29@debian.org>. (Sat, 10 Jan 2009 18:36:05 GMT) Full text and rfc822 format available.

Message #15 received at 469397@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: 469397@bugs.debian.org
Subject: ITP: xbmc -- XBox Media Center Linux Port
Date: Sat, 10 Jan 2009 13:34:54 -0500
[Message part 1 (text/plain, inline)]
Hello,

Were you still going to create Debian packages for xbmc?

If not, I'll be willing to take over this ITP. I'm already working with 
upstream in getting xbmc in a state where packages can be uploaded to Debian. 
In fact, I'm a part of their team and have direct commit access to their SVN.

-- 
Regards,
Andres
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#469397; Package wnpp. (Sat, 10 Jan 2009 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Johnson <mjj29@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 10 Jan 2009 23:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 469397@bugs.debian.org (full text, mbox):

From: Matthew Johnson <mjj29@debian.org>
To: Andres Mejia <mcitadel@gmail.com>, 469397@bugs.debian.org
Subject: Re: Bug#469397: ITP: xbmc -- XBox Media Center Linux Port
Date: Sat, 10 Jan 2009 23:54:11 +0000
[Message part 1 (text/plain, inline)]
On Sat Jan 10 13:34, Andres Mejia wrote:
> Hello,
> 
> Were you still going to create Debian packages for xbmc?
> 
> If not, I'll be willing to take over this ITP. I'm already working with 
> upstream in getting xbmc in a state where packages can be uploaded to Debian. 
> In fact, I'm a part of their team and have direct commit access to their SVN.

By all means take it over. Last time I looked it was in no means
suitable for uploading. If you can change this, then go ahead. If you
can also fix all the obvious segfaults, even better (-

Matt

-- 
Matthew Johnson
[signature.asc (application/pgp-signature, inline)]

Owner changed from Matthew Johnson <mjj29@debian.org> to Andres Mejia <mcitadel@gmail.com>. Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Mon, 26 Jan 2009 03:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#469397; Package wnpp. (Fri, 30 Jan 2009 07:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 30 Jan 2009 07:15:02 GMT) Full text and rfc822 format available.

Message #27 received at 469397@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: 469397@bugs.debian.org
Subject: ITP: xbmc -- XBox Media Center Linux Port
Date: Fri, 30 Jan 2009 02:14:13 -0500
[Message part 1 (text/plain, inline)]
Just thought I mention what needs to be done before xbmc can even be 
considered for upload to Debian (and just about any distro for that matter).

So far, I've encountered two issues that need to be resolved before xbmc can 
be uploaded.

1. xbmc needs to use system libraries instead of the internal libraries 
provided in the source.
2. xbmc needs to follow the requirements of the FHS.

I am currently working on the first issue. For anyone interested, you can 
checkout the changes I've implemented in their SVN repo under the 
external-libraries-support branch. I merge fairly frequently with the 
linuxport branch so that the only difference between the two branches is that 
one supports the use of external libraries.

Any help is welcome. For anyone interested, here's a good place to start
=> http://xbmc.org/wiki/?title=XBMC_for_Linux

Here's a place for any feedback on the external libraries support
=> http://xbmc.org/trac/ticket/5416

-- 
Regards,
Andres
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andres Mejia <mcitadel@gmail.com>:
Bug#469397; Package wnpp. (Sat, 14 Feb 2009 08:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andres Mejia <mcitadel@gmail.com>. (Sat, 14 Feb 2009 08:42:02 GMT) Full text and rfc822 format available.

Message #32 received at 469397@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: 469397@bugs.debian.org
Subject: ITP: xbmc, boxee too?
Date: Sat, 14 Feb 2009 00:39:55 -0800
Hi Andres,

I'm glad you are working to package xbmc. I have recently been looking at 
Boxee ( http://boxee.tv/ ) which is based on it. The Boxee people always 
point out that they are an "Open Source project", from what I read on the 
wikipedia page

  http://en.wikipedia.org/wiki/Boxee

a lot of it is GPL but they also have some closed source code as well 
(mainly the library for communicating with their value add services).

As part of packaging xbmc will you also consider packaging the DFSG-free 
parts of boxee? I guess they already have an apt repo for Ubuntu

http://apt.boxee.tv/

and some people have managed to get those debs working on lenny/sid

http://forums.boxee.net/showthread.php?t=4197
http://forum.boxee.tv/showthread.php?p=21147

I have not looked at them yet myself.

I guess one thing that will determine this is how close to xbmc development 
boxee stays, and how quickly they will incorporate the good changes that 
are happening to make xbmc use system libs and more FHS sane.

Please let me know if you want someone to test or review packages.

Thanks,

-- 
Matt Taggart
taggart@debian.org






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andres Mejia <mcitadel@gmail.com>:
Bug#469397; Package wnpp. (Sat, 14 Feb 2009 10:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michele Cascella <michele.cascella@pi.infn.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andres Mejia <mcitadel@gmail.com>. (Sat, 14 Feb 2009 10:15:05 GMT) Full text and rfc822 format available.

Message #37 received at 469397@bugs.debian.org (full text, mbox):

From: Michele Cascella <michele.cascella@pi.infn.it>
To: Matt Taggart <taggart@debian.org>, 469397@bugs.debian.org
Subject: Re: Bug#469397: ITP: xbmc, boxee too?
Date: Sat, 14 Feb 2009 11:11:37 +0100
On Sat, Feb 14, 2009 at 9:39 AM, Matt Taggart <taggart@debian.org> wrote:
> Hi Andres,
>
> I'm glad you are working to package xbmc. I have recently been looking at
> Boxee ( http://boxee.tv/ ) which is based on it. The Boxee people always
> point out that they are an "Open Source project", from what I read on the
> wikipedia page
>
>  http://en.wikipedia.org/wiki/Boxee
>
> a lot of it is GPL but they also have some closed source code as well
> (mainly the library for communicating with their value add services).
>
> As part of packaging xbmc will you also consider packaging the DFSG-free
> parts of boxee? I guess they already have an apt repo for Ubuntu
>
> http://apt.boxee.tv/
>
> and some people have managed to get those debs working on lenny/sid
>
> http://forums.boxee.net/showthread.php?t=4197
> http://forum.boxee.tv/showthread.php?p=21147

the packages work fine in debian and I guess they could be a good
source of clues on how to package xbmc (boxee is basically xbmc+a
skin+some plugins), but I think they are is far from obeying the
debian packaging policy.

Another big issue is that AFAIK xbmc only works on x86 and support for
other architectures is not a priority for upstream. Please corret me
if I'm wrong.

Can't wait to see xbmc in debian (maybe with a working powerpc port)

Cheers,

Emme
>
> I have not looked at them yet myself.
>
> I guess one thing that will determine this is how close to xbmc development
> boxee stays, and how quickly they will incorporate the good changes that
> are happening to make xbmc use system libs and more FHS sane.
>
> Please let me know if you want someone to test or review packages.
>
> Thanks,
>
> --
> Matt Taggart
> taggart@debian.org
>
>
>
>
>
> --
> To unsubscribe, send mail to 469397-unsubscribe@bugs.debian.org.
>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andres Mejia <mcitadel@gmail.com>:
Bug#469397; Package wnpp. (Mon, 23 Mar 2009 12:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andres Mejia <mcitadel@gmail.com>. (Mon, 23 Mar 2009 12:12:02 GMT) Full text and rfc822 format available.

Message #42 received at 469397@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Andres Mejia <mcitadel@gmail.com>, 469397@bugs.debian.org
Cc: Matt Taggart <taggart@debian.org>, Michele Cascella <michele.cascella@pi.infn.it>
Subject: Re: Bug#469397: ITP: xbmc -- XBox Media Center Linux Port
Date: Mon, 23 Mar 2009 13:07:29 +0100
[Message part 1 (text/plain, inline)]
Dear Andres,


Am Freitag, den 30.01.2009, 02:14 -0500 schrieb Andres Mejia:
> Just thought I mention what needs to be done before xbmc can even be 
> considered for upload to Debian (and just about any distro for that matter).
> 
> So far, I've encountered two issues that need to be resolved before xbmc can 
> be uploaded.
> 
> 1. xbmc needs to use system libraries instead of the internal libraries 
> provided in the source.
> 2. xbmc needs to follow the requirements of the FHS.
> 
> I am currently working on the first issue. For anyone interested, you can 
> checkout the changes I've implemented in their SVN repo under the 
> external-libraries-support branch. I merge fairly frequently with the 
> linuxport branch so that the only difference between the two branches is that 
> one supports the use of external libraries.
> 
> Any help is welcome. For anyone interested, here's a good place to start
> => http://xbmc.org/wiki/?title=XBMC_for_Linux
> 
> Here's a place for any feedback on the external libraries support
> => http://xbmc.org/trac/ticket/5416

Thank you very much for your work in getting XBMC packaged for Debian.

Could you give a status update on your work? And even better could you
provide packages in a private repository for testing?

As you probably know there are also packages for Ubuntu available [1].
Do you guys work together to save work?


Thanks,

Paul


[1] http://xbmc.org/forum/showthread.php?t=33327
[2] https://edge.launchpad.net/~team-xbmc-svn/+archive/ppa
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andres Mejia <mcitadel@gmail.com>:
Bug#469397; Package wnpp. (Mon, 27 Apr 2009 15:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andres Mejia <mcitadel@gmail.com>. (Mon, 27 Apr 2009 15:39:06 GMT) Full text and rfc822 format available.

Message #47 received at 469397@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Andres Mejia <mcitadel@gmail.com>
Cc: 469397@bugs.debian.org, Matt Taggart <taggart@debian.org>, Michele Cascella <michele.cascella@pi.infn.it>
Subject: Re: Bug#469397: ITP: xbmc -- XBox Media Center Linux Port
Date: Mon, 27 Apr 2009 17:38:04 +0200
[Message part 1 (text/plain, inline)]
Dear Andres,


Am Montag, den 23.03.2009, 13:07 +0100 schrieb Paul Menzel:
> Am Freitag, den 30.01.2009, 02:14 -0500 schrieb Andres Mejia:
> > Just thought I mention what needs to be done before xbmc can even be 
> > considered for upload to Debian (and just about any distro for that matter).
> > 
> > So far, I've encountered two issues that need to be resolved before xbmc can 
> > be uploaded.
> > 
> > 1. xbmc needs to use system libraries instead of the internal libraries 
> > provided in the source.
> > 2. xbmc needs to follow the requirements of the FHS.
> > 
> > I am currently working on the first issue. For anyone interested, you can 
> > checkout the changes I've implemented in their SVN repo under the 
> > external-libraries-support branch. I merge fairly frequently with the 
> > linuxport branch so that the only difference between the two branches is that 
> > one supports the use of external libraries.
> > 
> > Any help is welcome. For anyone interested, here's a good place to start
> > => http://xbmc.org/wiki/?title=XBMC_for_Linux
> > 
> > Here's a place for any feedback on the external libraries support
> > => http://xbmc.org/trac/ticket/5416
> 
> Thank you very much for your work in getting XBMC packaged for Debian.
> 
> Could you give a status update on your work? And even better could you
> provide packages in a private repository for testing?
> 
> As you probably know there are also packages for Ubuntu available [1].
> Do you guys work together to save work?

As you probably know XBMC 9.04 (Babylon) Beta 1 was released some days
ago [3].

XBMC could probably attract more users and get more testing, if it is
packaged for Debian.

Could you give us a status update, please?


Thanks a lot,

Paul

> [1] http://xbmc.org/forum/showthread.php?t=33327
> [2] https://edge.launchpad.net/~team-xbmc-svn/+archive/ppa
[3] http://xbmc.org/blog/2009/04/23/xbmc-904-babylon-beta-1-released/
[signature.asc (application/pgp-signature, inline)]

Owner changed from Andres Mejia <mcitadel@gmail.com> to pkg-multimedia-maintainers@lists.alioth.debian.org. Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Mon, 04 May 2009 21:48:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Mon, 04 May 2009 22:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Mon, 04 May 2009 22:33:04 GMT) Full text and rfc822 format available.

Message #54 received at 469397@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: Paul Menzel <pm.debian@googlemail.com>
Cc: 469397@bugs.debian.org, Matt Taggart <taggart@debian.org>, Michele Cascella <michele.cascella@pi.infn.it>
Subject: Re: Bug#469397: ITP: xbmc -- XBox Media Center Linux Port
Date: Mon, 4 May 2009 18:31:09 -0400
[Message part 1 (text/plain, inline)]
On Monday 27 April 2009 11:38:04 Paul Menzel wrote:
> Dear Andres,
>
> Am Montag, den 23.03.2009, 13:07 +0100 schrieb Paul Menzel:
> > Am Freitag, den 30.01.2009, 02:14 -0500 schrieb Andres Mejia:
> > > Just thought I mention what needs to be done before xbmc can even be
> > > considered for upload to Debian (and just about any distro for that
> > > matter).
> > >
> > > So far, I've encountered two issues that need to be resolved before
> > > xbmc can be uploaded.
> > >
> > > 1. xbmc needs to use system libraries instead of the internal libraries
> > > provided in the source.
> > > 2. xbmc needs to follow the requirements of the FHS.
> > >
> > > I am currently working on the first issue. For anyone interested, you
> > > can checkout the changes I've implemented in their SVN repo under the
> > > external-libraries-support branch. I merge fairly frequently with the
> > > linuxport branch so that the only difference between the two branches
> > > is that one supports the use of external libraries.
> > >
> > > Any help is welcome. For anyone interested, here's a good place to
> > > start => http://xbmc.org/wiki/?title=XBMC_for_Linux
> > >
> > > Here's a place for any feedback on the external libraries support
> > > => http://xbmc.org/trac/ticket/5416
> >
> > Thank you very much for your work in getting XBMC packaged for Debian.
> >
> > Could you give a status update on your work? And even better could you
> > provide packages in a private repository for testing?
> >
> > As you probably know there are also packages for Ubuntu available [1].
> > Do you guys work together to save work?
>
> As you probably know XBMC 9.04 (Babylon) Beta 1 was released some days
> ago [3].
>
> XBMC could probably attract more users and get more testing, if it is
> packaged for Debian.
>
> Could you give us a status update, please?

Alright. I'm still working on getting xbmc to use system libs instead of the 
internal libs included with the xbmc source. I've had a setback with ffmpeg where 
I had to drop back to using the internal libs for ffmpeg. I haven't gotten around 
to fixing this.

As with the FHS issue, I think this will be a trivial fix anyway so once xbmc 
uses system libs, then an upload to Debian will surely follow soon.

For anyone wondering, there's a 99.9% chance there won't be an upload for the 
release of XBMC 9.04 to Debian. :-(

> Thanks a lot,
>
> Paul
>
> > [1] http://xbmc.org/forum/showthread.php?t=33327
> > [2] https://edge.launchpad.net/~team-xbmc-svn/+archive/ppa
>
> [3] http://xbmc.org/blog/2009/04/23/xbmc-904-babylon-beta-1-released/

-- 
Regards,
Andres
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Tue, 05 May 2009 05:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Tue, 05 May 2009 05:27:02 GMT) Full text and rfc822 format available.

Message #59 received at 469397@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Andres Mejia <mcitadel@gmail.com>
Cc: 469397@bugs.debian.org, Paul Menzel <pm.debian@googlemail.com>, Michele Cascella <michele.cascella@pi.infn.it>, Matt Taggart <taggart@debian.org>
Subject: Re: Bug#469397: ITP: xbmc -- XBox Media Center Linux Port
Date: Tue, 05 May 2009 07:24:58 +0200
Andres Mejia <mcitadel@gmail.com> writes:

> On Monday 27 April 2009 11:38:04 Paul Menzel wrote:
>> As you probably know XBMC 9.04 (Babylon) Beta 1 was released some days
>> ago [3].
>>
>> XBMC could probably attract more users and get more testing, if it is
>> packaged for Debian.
>>
>> Could you give us a status update, please?
>
> Alright. I'm still working on getting xbmc to use system libs instead of the 
> internal libs included with the xbmc source. I've had a setback with ffmpeg where 
> I had to drop back to using the internal libs for ffmpeg. I haven't gotten around 
> to fixing this.

What version of ffmpeg does xbmc include? I think a lot of trouble can
be avoided if a version is integrated that is shared by debian and other
ffmpeg downstreams. Since version 0.5 was released recently, that would
be a good candidate.

In fact, Debian tracks the 0.5 release branch of ffmpeg, and will
probably keep tracking it for quite some time.

> As with the FHS issue, I think this will be a trivial fix anyway so once xbmc 
> uses system libs, then an upload to Debian will surely follow soon.
>
> For anyone wondering, there's a 99.9% chance there won't be an upload for the 
> release of XBMC 9.04 to Debian. :-(

how often/frequently does xbmc release? is there a roadmap?
http://xbmc.org gives me a 500 - Internal Server Error ATM.

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Sun, 24 May 2009 03:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Sun, 24 May 2009 03:42:02 GMT) Full text and rfc822 format available.

Message #64 received at 469397@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: Reinhard Tartler <siretart@tauware.de>
Cc: 469397@bugs.debian.org, Paul Menzel <pm.debian@googlemail.com>, Michele Cascella <michele.cascella@pi.infn.it>, Matt Taggart <taggart@debian.org>
Subject: Re: Bug#469397: ITP: xbmc -- XBox Media Center Linux Port
Date: Sat, 23 May 2009 23:38:07 -0400
Strange, I never received the last email.

Anyway, to answer your question, xbmc uses a modified form of ffmpeg 0.5. I'm not 
sure how much modifications it has as of right now, or whether we can make it 
possible to build xbmc to depend on system libs of ffmpeg.

xbmc has a random release schedule at best. The next release is scheduled in 5 
months, but that's not definite. Check [1].

I also want to mention something else here. It is the number of libraries that I 
see xbmc uses internally or build-depends on.

Build-Depends: debhelper (>= 5), python-support, autotools-dev, libdbus-1-dev,
 libhal-dev, libhal-storage-dev, make, g++-4.1, gcc-4.1, libsdl1.2-dev,
 libsdl-image1.2-dev, libsdl-gfx1.2-dev, libsdl-mixer1.2-dev,
 libsdl-sound1.2-dev, libbz2-dev, libcdio-dev, libfribidi-dev,
 liblzo-dev,liblzo2-dev, libfreetype6-dev, unzip, libsqlite3-dev, libogg-dev,
 libsmbclient-dev, libasound2-dev, python2.4-dev, python2.4, python-sqlite,
 cmake, libglew1.5-dev, libcurl3-dev, gawk, x11proto-xinerama-dev,
 libxinerama-dev, libxrandr-dev, libxrender-dev,
 libmms-dev, pmount, libtre-dev, libvorbis-dev,
 libmysqlclient15-dev, libpcre3-dev, libbluetooth-dev, libfontconfig-dev,
 libcwiid1-dev, libboost-dev, libtool, zip, nasm, autoconf, automake,
 libjasper-dev, libxt-dev, libxmu-dev, gperf, libenca-dev, libjpeg62-dev,
 libpng12-dev, dpatch
Internal-Build-Depends: 
 libsidplay2-dev,
 libdumb1-dev,
 timidity,
 python-dev,
 libid3tag0-dev | libid3tag-dev,
 libexif-dev,
 libprojectm-dev,
 liblame-dev [just-for-regular-support],
 libfaac-dev [just-for-regular-support],
 libdvdnav-dev [heavily-patched],
 libavcodec-dev [regression],
 libavformat-dev [regression],
 libavutil-dev [regression],
 libpostproc-dev [regression],
 libswscale-dev [regression],
Possible-External-Build-Depends: 
 libdts-dev,
 libfaad-dev,
 liba52-0.7.4-dev | liba52-dev,
 libmpeg2-4-dev,
 libmad0-dev,
 libass-dev,
 libmpcdec-dev,
 libflac-dev,
 libwavpack-dev,
Maybe-Build-Depends:
 goom,
 rss-glx,
 hdhomerun,
 cximage,
 libadpcm-dev,
 monkeys-audio [macdll],
 nosefart [nsfcodec],
 snes-apu [snesapu],
 gym-codec [gensapu],
 libvgmstream-dev,
 libshnplay-dev,
 stsound [ymcodec],
 libalac-dev,
 libadplug-dev,

Here's what I mean by the various fields. The 'Build-Depends' field is a list of 
packages that xbmc depends on during build on that can be found in the Debian 
archive already.

'Internal-Build-Depends' are packages that can be found in the Debian archive, 
but in which xbmc uses it's own internal version. The tag [just-for-internal-
support] next to a package means that xbmc can build without that package. The 
tag [regression] means I had xbmc build depending on the system libs of these 
packages at one point, but was later broken by some change within the linuxport 
branch of xbmc in their svn. For libdvdnav, xbmc uses a heavily modified version 
of libdvdnav in which there's possibly no way to have it use the system version 
of libdvdnav, unless upstream were to accept the patches from xbmc. For all 
other packages in this field, I have not had the time to go through and see if 
it's possible to build xbmc using the Debian packages instead.

For the 'Possible-External-Build-Depends', these are packages for where it's 
possible to build XBMC using the respective Debian package.

Finally, for the 'Maybe-Build-Depends' field, these are packages where xbmc uses 
it's own internal version, and which either do not exist in the Debian archive, 
or do not have the appropriate version in Debian.

As far as what system packages instead of internal packages I think xbmc should 
use, they should all the packages listed, except for the ones in the 'Maybe-
Build-Depends'.

1. http://xbmc.org/trac/roadmap

-- 
Regards,
Andres




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Sun, 31 May 2009 05:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Sun, 31 May 2009 05:30:03 GMT) Full text and rfc822 format available.

Message #69 received at 469397@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: 469397@bugs.debian.org
Subject: ITP: xbmc -- XBox Media Center Linux Port
Date: Sun, 31 May 2009 01:29:09 -0400
Some good news. Support for use of system libs in xbmc is now in the linuxport 
branch (the mainline branch in other words).

There still some libraries left to switch to using system libs, but overall, I 
will start making packages for upload to experimental soon.

-- 
Regards,
Andres




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Tue, 14 Jul 2009 23:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Grimm <wildcard@e-tobi.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Tue, 14 Jul 2009 23:48:02 GMT) Full text and rfc822 format available.

Message #74 received at 469397@bugs.debian.org (full text, mbox):

From: Tobias Grimm <wildcard@e-tobi.net>
To: 469397@bugs.debian.org
Subject: ITP: xbmc -- XBox Media Center Linux Port
Date: Wed, 15 Jul 2009 01:43:31 +0200
I just checked out the latest SVN which compiles and runs fine using
--enable-external-libraries (Squeeze with Debian Multimedia). I just
needed to apply a small patch to fix the ffmpeg header files location.

What's the state of the xbmc Debian package? Is someone currently
working on this? If so, is there a public VCS for the Debian packaging
available? Any help needed?

Tobias






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Wed, 15 Jul 2009 02:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Wed, 15 Jul 2009 02:21:02 GMT) Full text and rfc822 format available.

Message #79 received at 469397@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: Tobias Grimm <wildcard@e-tobi.net>, 469397@bugs.debian.org
Subject: Re: Bug#469397: ITP: xbmc -- XBox Media Center Linux Port
Date: Tue, 14 Jul 2009 22:18:49 -0400
On Tuesday 14 July 2009 19:43:31 Tobias Grimm wrote:
> I just checked out the latest SVN which compiles and runs fine using
> --enable-external-libraries (Squeeze with Debian Multimedia). I just
> needed to apply a small patch to fix the ffmpeg header files location.
>
> What's the state of the xbmc Debian package? Is someone currently
> working on this? If so, is there a public VCS for the Debian packaging
> available? Any help needed?
>
> Tobias

If you checkout latest svn, the debian dir used for packaging is at 
tools/Linux/debian.

As far as a status goes, I'm now at the point where I could commit a package to 
git.debian.org for review and ask for someone to sponsor the package.

-- 
Regards,
Andres




Changed Bug title to `XBMC Media Center' from `ITP: xbmc -- XBox Media Center Linux Port'. Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Wed, 15 Jul 2009 06:12:03 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: xbmc -- XBMC Media Center' from `XBMC Media Center'. Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Wed, 15 Jul 2009 06:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Wed, 15 Jul 2009 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "wildcard@e-tobi.net" <wildcard@e-tobi.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Wed, 15 Jul 2009 10:18:05 GMT) Full text and rfc822 format available.

Message #88 received at 469397@bugs.debian.org (full text, mbox):

From: "wildcard@e-tobi.net" <wildcard@e-tobi.net>
To: 469397@bugs.debian.org
Cc: Andres Mejia <mcitadel@gmail.com>
Subject: Re: Bug#469397: ITP: xbmc -- XBox Media Center Linux Port
Date: Wed, 15 Jul 2009 11:45:56 +0200
Andres Mejia wrote:

> If you checkout latest svn, the debian dir used for packaging is at 
> tools/Linux/debian.

Great! I just built the package. So far it looks pretty well. For a first
look, I saw only some minor issues (typos, xbmc-live.install not
up-to-date (file extensions must be stripped from bin/*), some minor
improvements).

> As far as a status goes, I'm now at the point where I could commit a package to 
> git.debian.org for review and ask for someone to sponsor the package.

Go for it! If nobody else already volunteered, I would sponsor an upload.

Tobias





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Sat, 01 Aug 2009 10:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Sat, 01 Aug 2009 10:00:10 GMT) Full text and rfc822 format available.

Message #93 received at 469397@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 469397@bugs.debian.org
Date: Sat, 1 Aug 2009 11:55:12 +0200
Where can I download the debian/* files, I could not find any external
links. I'd like to try XBMC on my system.

Thanks !

-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Fri, 14 Aug 2009 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Fri, 14 Aug 2009 15:03:03 GMT) Full text and rfc822 format available.

Message #98 received at 469397@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: pkg-multimedia-maintainers@lists.alioth.debian.org
Cc: 469397@bugs.debian.org
Subject: XBMC Packages Ready
Date: Fri, 14 Aug 2009 10:52:46 -0400
Ok. I have a set of packages for XBMC ready for review and for upload to 
experimental. It can be found in the Debian Multimedia Team's git repo.

git://git.debian.org/git/pkg-multimedia/xbmc.git
http://git.debian.org/?p=pkg-multimedia/xbmc.git;a=summary

-- 
Regards,
Andres




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Fri, 04 Sep 2009 21:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Reichel <elektranox@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Fri, 04 Sep 2009 21:39:05 GMT) Full text and rfc822 format available.

Message #103 received at 469397@bugs.debian.org (full text, mbox):

From: Sebastian Reichel <elektranox@gmail.com>
To: 469397@bugs.debian.org
Subject: xbmc package test
Date: Fri, 4 Sep 2009 23:35:51 +0200
[Message part 1 (text/plain, inline)]
Hi,

I'm not a DD, so I can't sponsor your package, but I wanted to try
xbmc, so I tested the package. When building the package I noticed
the following:

* It only works with libmpcdec-dev from unstable, not with the
  version from experimental. you may add (<< 2:0.1~r444-1)
  to Build Dependencies.

I tried xbmc-live and this package is not working like it should be:

* the init.d script uses kernel parameters for configuration. e.g.
  'splash' is needed as kernel parameter to start xbmc. IMHO this
  should be moved to /etc/default/xbmc in connection with debconf.
* the init script starts xbmc via /usr/bin/runXBMC, which is broken
  by default (it does not export xbmc home before starting xbmc).
  This can be fixed by modification of /usr/bin/xbmc, so that it
  exits with the exit code of xbmc and another modification of
  runXBMC to use xbmc wrapper script instead of doing the same
  as the wrapper script ;)

These are my updated files:

elektranox@sun ~ % cat /usr/bin/xbmc
#!/bin/sh

# Set XBMC_HOME if xbmc.bin is a symlink
if [ -L /usr/share/xbmc/xbmc.bin ]; then
  export XBMC_HOME="/usr/share/xbmc"
fi

python /usr/share/xbmc/FEH.py "$@"
if [ $? -ne 0 ]; then
  exit
fi
/usr/share/xbmc/xbmc.bin "$@"
CODE=$?
while [ $CODE -eq 65 ]
do
  /usr/share/xbmc/xbmc.bin "$@"
done

exit $CODE
elektranox@sun ~ % cat /usr/bin/runXBMC 
#!/bin/bash

if [ "$(pidof X)" ] ; then
    /usr/share/xbmc/xbmc.bin  --standalone
    exit
fi

while true
do
    echo "#!/bin/bash" >  /home/xbmc/.xsession
    echo "xbmc --standalone" >>  /home/xbmc/.xsession

    echo "case \"\$?\" in" >>  /home/xbmc/.xsession
    echo "    0 ) # Quit" >>  /home/xbmc/.xsession
    echo "        touch /tmp/noRestartXBMC" >> /home/xbmc/.xsession
    echo "        break ;;"  >>  /home/xbmc/.xsession
    echo "    64 ) # Shutdown System"  >>  /home/xbmc/.xsession
    echo "        touch /tmp/noRestartXBMC" >> /home/xbmc/.xsession
    echo "        sudo halt ;;"  >>  /home/xbmc/.xsession
    echo "    65 ) # Warm Reboot"  >>  /home/xbmc/.xsession
    echo "        echo "Restarting XBMC ..." ;;"  >>  /home/xbmc/.xsession
    echo "    66 ) # Reboot System"  >>  /home/xbmc/.xsession
    echo "        touch /tmp/noRestartXBMC" >> /home/xbmc/.xsession
    echo "        sudo reboot ;;"  >>  /home/xbmc/.xsession
    echo "     * ) ;;"  >>  /home/xbmc/.xsession
    echo "esac"  >>  /home/xbmc/.xsession

    chown xbmc:xbmc /home/xbmc/.xsession

    if [ "$(whoami)" == "root" ] ; then
        su xbmc -c "startx -- -br > /dev/null 2>&1" -l
    else
        startx -- -br > /dev/null 2>&1
    fi

    if [ -e /tmp/noRestartXBMC ] ; then
        rm -f /tmp/noRestartXBMC
        rm -f /home/xbmc/.xsession
        break
    fi

#   sleep 2
done

as you can see I also added sudo halt and sudo reboot instead
of the sleep. To make this working the following two lines are
needed in sudoers file:
xbmc            ALL=(root) NOPASSWD:/sbin/halt
xbmc            ALL=(root) NOPASSWD:/sbin/reboot

I guess this should not be a default setting, but you could give a
hint in /usr/share/doc/xbmc/README.Debian

 * Apart from this can you update revision 22503, which adds support
   for TV shows with absolute numbering?

P.S.: thanks for the great work :)

-- Sebastian Reichel
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Fri, 18 Sep 2009 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Fri, 18 Sep 2009 21:18:03 GMT) Full text and rfc822 format available.

Message #108 received at 469397@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Cc: 469397@bugs.debian.org
Subject: xbmc ready for review
Date: Fri, 18 Sep 2009 17:14:48 -0400
Just as a reminder, I have xbmc ready for review and upload in the git repo.

git+ssh://git.debian.org/git/pkg-multimedia/xbmc.git

-- 
Regards,
Andres




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Tue, 06 Oct 2009 16:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Tue, 06 Oct 2009 16:03:04 GMT) Full text and rfc822 format available.

Message #113 received at 469397@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Andres Mejia <mcitadel@gmail.com>
Cc: 469397@bugs.debian.org
Subject: xbmc ready for review
Date: Tue, 6 Oct 2009 17:53:18 +0200
Ref:
git+ssh://git.debian.org/git/pkg-multimedia/xbmc.git



Your git package does not work for me:

checking for main in -lfaad... yes
checking for main in -lmp4ff... no
configure: error: Could not find a required library. Please see the
README for your platform.
make[1]: *** [override_dh_auto_configure] Error 1
make[1]: Leaving directory `/tmp/buildd/xbmc-9.04.1+svn22158~deb1'
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
pbuilder: Failed autobuilding of package
 -> Aborting with an error
 -> unmounting dev/pts filesystem
 -> unmounting proc filesystem
 -> cleaning the build env
    -> removing directory /var/cache/pbuilder/build//18641 and its
subdirectories


I think you are missing libmp4ff-dev

Thanks

-- 
Mathieu




Information stored :
Bug#469397; Package wnpp. (Mon, 12 Oct 2009 18:39:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and filed, but not forwarded. (Mon, 12 Oct 2009 18:39:20 GMT) Full text and rfc822 format available.

Message #118 received at 469397-quiet@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Cc: 469397-quiet@bugs.debian.org
Subject: RFS: xbmc -- XBMC Media Center (another try)
Date: Mon, 12 Oct 2009 14:26:31 -0400
Ok. I'm ready for another review and potential upload of xbmc to the Debian 
archive. This new version uses a new upstream svn snapshot (r23588) which 
includes a fix to allow it to build using the latest version of libass.

The packaging can be found in the team's git repo.
http://git.debian.org/?p=pkg-multimedia/xbmc.git;a=summary
git://git.debian.org/git/pkg-multimedia/xbmc.git

-- 
Regards,
Andres




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Fri, 27 Nov 2009 03:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Fri, 27 Nov 2009 03:36:03 GMT) Full text and rfc822 format available.

Message #123 received at 469397@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: pkg-multimedia-maintainers@lists.alioth.debian.org
Cc: 469397@bugs.debian.org, "Team-XBMC" <team@xbmc.org>
Subject: Re: quick XBMC review
Date: Thu, 26 Nov 2009 22:35:06 -0500
Please CC the bug too.

On Wednesday 25 November 2009 16:35:59 Bruno Kleinert wrote:
> Hi there,
> 
> I had a quick look at XBMC's source tree and wrote some kind of
> "protocol" about everything that didn't look that good to me. Here we
> go...
> 
> ---[ snip ]---
> Copies of external packages' source code
> ========================================
> tinyXML version unknown
> lib/fontconfig_win32 version 2.7.3
> lib/freetype version 2.3.9
> lib/libSDL-WIN32 unknown version, patched with
> lib/libSDL-WIN32/SDL_SetWidthHeight.diff
> system/python/spyce
> cdrip/oggvorbis/*
> cores/dvdplayer/Codecs/ffmpeg
> cores/dvdplayer/Codecs/liba52
> cores/dvdplayer/Codecs/libdts
> cores/dvdplayer/Codecs/libdvd
> cores/dvdplayer/Codecs/libfaad2
> cores/dvdplayer/Codecs/libmad
> cores/dvdplayer/Codecs/libmpeg2
> cores/dvdplayer/DVDCodecs/Audio/liba52
> cores/dvdplayer/DVDCodecs/Audio/libdts
> cores/dvdplayer/DVDCodecs/Audio/libfaad
> cores/dvdplayer/DVDCodecs/Audio/libmad
> cores/dvdplayer/DVDInputStreams/dvdnav
> cores/dvdplayer/DVDInputStreams/mms
> cores/ffmpeg
> cores/paplayer/AC3Codec
> cores/paplayer/FLACCodec/flac-1.2.1
> cores/paplayer/ModuleCodec/dumb also it's non-DFSG free
> cores/paplayer/ogg
> cores/paplayer/SIDCodec/libsidplay
> cores/paplayer/SIDCodec/builders/hardsid-build
> cores/paplayer/SIDCodec/builders/resid-builder
> cores/paplayer/SPCCodec
> xbmc/cores/paplayer/timidity
> cores/paplayer/vgmstream
> cores/paplayer/vorbisfile
> cores/paplayer/WavPackCodec
> cores/paplayer/YMCodec
> FileSystem/curl
> lib/"mostly"* - WTF?! What an unbelievable mess! Even source copies
> contain other source copies?!?
> xbmc/screensavers/rsxs-0.9
> xbmc/visualizations/Goom/goom2k4-0 - Copied & patched
> xbmc/visualizations/Milkdrop/vis_milkdrop
> xbmc/visualizations/OpenGLSpectrum

Yes, xbmc does use third party code, which include libraries. It is possible 
to use system libraries rather than internal libraries for most of the 
libraries xbmc ships. I would like to see xbmc use nothing but system 
libraries where available, but this of course is going to require a lot of 
work.

> Illegal sources
> ===============
> media/Fonts/arial.ttf

I suppose these can be replaced with the Liberation fonts.

> All precompiled binaries (Some with not so obvious suffixes)

I don't see how these are illegal, unless you mean they don't have the 
corresponding source used to compile them, with license. In any case, could 
you clarify what you meant by this.

> skin/PM3.HD/HomeSystemIcon Licence.txt is non-DFSG free

The only file this affects is "skin/PM3.HD/media/homeinfo-system.png". The 
author agreed to allow for that file to be replaced with something suitable.

> skin/Project Mayhem III/fonts/FrancophilSans_readme.txt is non-DFSG free

The Project Mayhem III skin has been removed in the latest upstream source, so 
this doesn't matter anymore.

> found in tools/Linux/debian/copyright - DUMB license is non-DFSG;
> requires the licensee to feed their dogs at full moon. Haha, that is so
> funny...

For the issue with the DUMB license, I would be satisfied with either the DUMB 
devs (no pun intended) change their license to just simply the BSD (at least I 
think that's what their intention was before the extra clauses were thrown 
in), or xbmc uses libmikmod instead. I have a preference with switching to 
libmikmod, since I think that will be easier than trying to convince the DUMB 
devs to change their license.

> Questionable/Useless
> ====================
> media/weather.rar
> credits/credits.mod
> find -iname "*.bat"

These are used, though of course the .bat files are not used in linux.

> keymapping-schematic.pdf (Xbox, Microsoft logos, origin/author?)

This has been removed already.

> project/*

These are used for Windows at least.

> xbmc-xrandr.c - WTF?!

What exactly is the problem with xbmc-xrandr.c?

> scripts/*.zip

XBMC can open scripts that are inside a zip file.

> skin/PM3.HD/backgrounds/*.jpg (copyrights/authors questionable)

The PM3.HD skin is distributed under the same terms as xbmc. Same with the 
Confluence skin which will be in the next release of xbmc.

> skin/PM3.HD/media/flagging/audio/{dolbydigital.png,dts.png,mp3.png,wmapro.p
> ng} trademark logos and license/redistribution?
>  skin/PM3.HD/media/flagging/video/{divx.png,h264.png} trademark logos and
>  license/redistribution?

Not sure about the issue with the trademark logos. I've spoken with the author 
of the skin, and he's doesn't like idea of removing the logos, or replacing 
them with some other non-trademarked logo or something similar.

I'm going to need more time to resolve this. I think those logos only impose 
usage restrictions such as what size they can be, what color they have to be, 
and so forth. Overall, I think these are redistributable. In any case, xbmc 
would be placed in non-free anyway, although that was for other issues which 
I'll point out later.

> system/asound.conf - WTF?!

Don't know why that file is there.

> system/python/DLLs 'file' says precompiled PE32 binaries for .pyd files

These are used in windows.

> system/scrapers/video some files are company/trademark logos. author?
> copyright? redistribution?

Yes, this is the same as with the trademark issue above.

> tools/MingwBuildEnvironment/msys.7z
> tools/PackageMaker
> tools/TexturePacker
> tools/XBMCLive
> tools/XBMCTex
> tools/XprPack

The stuff in tools is basically utilities used by xbmc devs for various 
purposes. Some of it is sources for precompiled binaries in other parts of the 
source tree. XBMCLive is where the package xbmc-live comes from.

> visualisations - 'file' says there are lots of PE32 binaries with
> suffix .vis

These are precompiled binaries for windows.

> visualisations/Milkdrop/*.zip - ?!?
> visualisations/projectM - Authors? Copyright? Redistribution? Looks
> stolen to me

libprojectm is already in the Debian archive. Also, milkdrop is going to be a 
part of projectm soon.

> cores/paplayer/ADPCMCodec

Comes from adplug which is in the archive.

> cores/paplayer/GYMCodec

Code comes from gens/gs which is gpl. See http://info.sonicretro.org/Gens/GS.

> cores/paplayer/MACDll MAC code? License is non-DFSG free

I did bring this up before, where I had said xbmc should use libdemac or ffmpeg 
for monkey audio support. I would rather see xbmc go with ffmpeg, seeing that 
the author for the ffmpeg implementation is also the author for libdemac.

> cores/paplayer/shn - non-DFSG free

Yes, there is that nagging "non-commercial" clause. xbmc should probably take 
advantage of the ffmpeg implementation for shorten instead.

> xbmxc/osx - Whatever its licenses are, do we care about such sources?

Yes, it's used by osx.

> 
> 
> General
> =======
> Most GPL source code comment headers have an outdated FSF address
> Stuff (source or binary doesn't matter) from commercial platforms like
> Mac OS X and Windows is not our business. Whatever its licences say, it
> should not be part of an .orig.tar.*
> ---[ snap ]---

Will get to fixing the address from the GPL headers at some point.

About stuff that doesn't seem necessary or useful for Linux (or Debian), there 
has to be some legitimate reason for removing them from the orig tarball. 
Also, it has to be some reason other than "it's not useful for Linux/Debian".

The reason for this is simply because, speaking as upstream, we want to 
_avoid_ having our source tree munged as much as possible.

I personally do not want xbmc to be in a situation similar to how ffmpeg was in 
Debian.

> I don't plan to dig into XBMC myself because I don't use it nor do I
> plan to use it. It simply got my attraction because a friend uses it and
> some things looked like a very messy hack to me ;)
> 
> Maybe some of the above things are already fixed, I reviewed XBMC some
> weeks ago, so my protocol is probably a bit outdated.
> 
> Cheers - Fuddl
> 

As a final note, I would like to point out that there are issues with xbmc 
using third party code that is not GPL compatible (and essentially non-dfsg). 
The use of libgoahead is a major one, but there is more. You can find issues 
I've addressed from an older revision of the debian/copyright file. It can be 
found at [1].

This code is part of the reason why xbmc from not going into main. Of course 
resolving this issue is going to take a lot of effort. For now, xbmc will be 
placed in non-free.

As always, any help with resolving these issues are welcome.

1. 
http://xbmc.git.sourceforge.net/git/gitweb.cgi?p=xbmc/xbmc;a=blob;f=tools/Linux/debian/copyright;hb=5f2e2ed337f701a739a018084a86b556c648d24f

-- 
Regards,
Andres




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Fri, 27 Nov 2009 13:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bruno Kleinert <fuddl@tauware.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Fri, 27 Nov 2009 13:51:06 GMT) Full text and rfc822 format available.

Message #128 received at 469397@bugs.debian.org (full text, mbox):

From: Bruno Kleinert <fuddl@tauware.de>
To: pkg-multimedia-maintainers@lists.alioth.debian.org
Cc: 469397@bugs.debian.org
Subject: Re: Bug#469397: quick XBMC review
Date: Fri, 27 Nov 2009 13:56:33 +0100
[Message part 1 (text/plain, inline)]
Am Donnerstag, den 26.11.2009, 22:35 -0500 schrieb Andres Mejia:
> Please CC the bug too.
> 
> On Wednesday 25 November 2009 16:35:59 Bruno Kleinert wrote:
> > Hi there,
> > 
> > I had a quick look at XBMC's source tree and wrote some kind of
> > "protocol" about everything that didn't look that good to me. Here we
> > go...
> > 
> > ---[ snip ]---
> > Copies of external packages' source code
> > ========================================
> > tinyXML version unknown
> > lib/fontconfig_win32 version 2.7.3
> > lib/freetype version 2.3.9
> > lib/libSDL-WIN32 unknown version, patched with
> > lib/libSDL-WIN32/SDL_SetWidthHeight.diff
> > system/python/spyce
> > cdrip/oggvorbis/*
> > cores/dvdplayer/Codecs/ffmpeg
> > cores/dvdplayer/Codecs/liba52
> > cores/dvdplayer/Codecs/libdts
> > cores/dvdplayer/Codecs/libdvd
> > cores/dvdplayer/Codecs/libfaad2
> > cores/dvdplayer/Codecs/libmad
> > cores/dvdplayer/Codecs/libmpeg2
> > cores/dvdplayer/DVDCodecs/Audio/liba52
> > cores/dvdplayer/DVDCodecs/Audio/libdts
> > cores/dvdplayer/DVDCodecs/Audio/libfaad
> > cores/dvdplayer/DVDCodecs/Audio/libmad
> > cores/dvdplayer/DVDInputStreams/dvdnav
> > cores/dvdplayer/DVDInputStreams/mms
> > cores/ffmpeg
> > cores/paplayer/AC3Codec
> > cores/paplayer/FLACCodec/flac-1.2.1
> > cores/paplayer/ModuleCodec/dumb also it's non-DFSG free
> > cores/paplayer/ogg
> > cores/paplayer/SIDCodec/libsidplay
> > cores/paplayer/SIDCodec/builders/hardsid-build
> > cores/paplayer/SIDCodec/builders/resid-builder
> > cores/paplayer/SPCCodec
> > xbmc/cores/paplayer/timidity
> > cores/paplayer/vgmstream
> > cores/paplayer/vorbisfile
> > cores/paplayer/WavPackCodec
> > cores/paplayer/YMCodec
> > FileSystem/curl
> > lib/"mostly"* - WTF?! What an unbelievable mess! Even source copies
> > contain other source copies?!?
> > xbmc/screensavers/rsxs-0.9
> > xbmc/visualizations/Goom/goom2k4-0 - Copied & patched
> > xbmc/visualizations/Milkdrop/vis_milkdrop
> > xbmc/visualizations/OpenGLSpectrum
> 
> Yes, xbmc does use third party code, which include libraries. It is possible 
> to use system libraries rather than internal libraries for most of the 
> libraries xbmc ships. I would like to see xbmc use nothing but system 
> libraries where available, but this of course is going to require a lot of 
> work.
> 
> > Illegal sources
> > ===============
> > media/Fonts/arial.ttf
> 
> I suppose these can be replaced with the Liberation fonts.
I think the dejavu-* fonts could be an alternative, too.

> > All precompiled binaries (Some with not so obvious suffixes)
> 
> I don't see how these are illegal, unless you mean they don't have the 
> corresponding source used to compile them, with license. In any case, could 
> you clarify what you meant by this.
I meant that there shouldn't be anything precompiled in
our .orig.tar.*s. Illegal is just some category I made up. Don't rely
too much on the names of my topics ;)

> > Questionable/Useless
> > ====================
> > media/weather.rar
> > credits/credits.mod
> > find -iname "*.bat"
> 
> These are used, though of course the .bat files are not used in linux.
Then I suggest to drop them from the .orig.tar.gz. In some packages I
use scripts to generate .orig.tar.gz files which automatically strip
unwanted files before compressing the sources.

Something like find -iname "*.bat" -exec rm -f "{}" \; should be enough.
Probably also usable for other kind of files (*.exe, *.dll, *.lib,
*.dylib and so on)

> > project/*
> 
> These are used for Windows at least.
Then I suggest to remove that directory from the .orig.tar.gz.

> > xbmc-xrandr.c - WTF?!
> 
> What exactly is the problem with xbmc-xrandr.c?
It looks like a redundant implementation of the xrandr from the
x11-xserver-utils package. If it's just a source copy, then I'd suggest
to remove it.

> > scripts/*.zip
> 
> XBMC can open scripts that are inside a zip file.
Ah, ok. Why not put them extracted into the .orig.tar.gz and build the
ZIP archives at build time? I think that's a bit easier to maintain and
keep track of changes in the scripts.

> > system/asound.conf - WTF?!
> 
> Don't know why that file is there.
It looks as if it's there to replace the usual system configuration. But
for multichannel playback I'd suggest to use pulseaudio anyways. It
already should (if it's not broken ;)) take care of the correct ALSA
channels.

> > system/python/DLLs 'file' says precompiled PE32 binaries for .pyd files
> 
> These are used in windows.
Should be removed from the .orig.tar.gz

> > tools/MingwBuildEnvironment/msys.7z
> > tools/PackageMaker
> > tools/TexturePacker
> > tools/XBMCLive
> > tools/XBMCTex
> > tools/XprPack
> 
> The stuff in tools is basically utilities used by xbmc devs for various 
> purposes. Some of it is sources for precompiled binaries in other parts of the 
> source tree. XBMCLive is where the package xbmc-live comes from.
If it's development only and/or non-free tools I'd suggest to remove
them from the .orig.tar.gz.

If they're free and useful to develop other cool stuff for XBMC I'd
suggest to keep them and build binary packages from them.

> > visualisations - 'file' says there are lots of PE32 binaries with
> > suffix .vis
> 
> These are precompiled binaries for windows.
should be removed from .orig.tar.gz

> > visualisations/Milkdrop/*.zip - ?!?
> > visualisations/projectM - Authors? Copyright? Redistribution? Looks
> > stolen to me
> 
> libprojectm is already in the Debian archive. Also, milkdrop is going to be a 
> part of projectm soon.
Oops, my mistake ;)

> > cores/paplayer/ADPCMCodec
> 
> Comes from adplug which is in the archive.
Isn't it another source code copy then or is it a wrapper around the
codec?

> > cores/paplayer/shn - non-DFSG free
> 
> Yes, there is that nagging "non-commercial" clause. xbmc should probably take 
> advantage of the ffmpeg implementation for shorten instead.
What be great to find something free. On the other hand: if there's no
chance for XBMC to go into main, then, for packaging, it doesn't matter
if it's restricted to non-commercial use.

> > General
> > =======
> > Most GPL source code comment headers have an outdated FSF address
> > Stuff (source or binary doesn't matter) from commercial platforms like
> > Mac OS X and Windows is not our business. Whatever its licences say, it
> > should not be part of an .orig.tar.*
> > ---[ snap ]---
> 
> Will get to fixing the address from the GPL headers at some point.
> 
> About stuff that doesn't seem necessary or useful for Linux (or Debian), there 
> has to be some legitimate reason for removing them from the orig tarball. 
> Also, it has to be some reason other than "it's not useful for Linux/Debian".
Well, at least it makes the sources less clear and harder to review ;)

> The reason for this is simply because, speaking as upstream, we want to 
> _avoid_ having our source tree munged as much as possible.
How complicated is it to separate the XBMC sources from everything else
that's needed for non-uninx platforms? That would make integrating XBMC
into a Linux distribution much, much easier and would avoid license
issues with slipped-in non-free things.

> I personally do not want xbmc to be in a situation similar to how ffmpeg was in 
> Debian.
Then the easy way is to put it into non-free ;)

Eeeh... to make things clear: By my quite negative review I did *NOT*
mean to demotivate you about your work in and for XBMC! It's meant
technical!

Cheers - Fuddl
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Sat, 28 Nov 2009 01:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Sat, 28 Nov 2009 01:06:03 GMT) Full text and rfc822 format available.

Message #133 received at 469397@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: pkg-multimedia-maintainers@lists.alioth.debian.org
Cc: 469397@bugs.debian.org
Subject: Re: Bug#469397: quick XBMC review
Date: Fri, 27 Nov 2009 20:00:57 -0500
On Friday 27 November 2009 07:56:33 Bruno Kleinert wrote:
> Am Donnerstag, den 26.11.2009, 22:35 -0500 schrieb Andres Mejia:
> > Please CC the bug too.
> >
> > On Wednesday 25 November 2009 16:35:59 Bruno Kleinert wrote:
> > > Hi there,
> > >
> > > I had a quick look at XBMC's source tree and wrote some kind of
> > > "protocol" about everything that didn't look that good to me. Here we
> > > go...
> > >
> > > ---[ snip ]---
> > > Copies of external packages' source code
> > > ========================================
> > > tinyXML version unknown
> > > lib/fontconfig_win32 version 2.7.3
> > > lib/freetype version 2.3.9
> > > lib/libSDL-WIN32 unknown version, patched with
> > > lib/libSDL-WIN32/SDL_SetWidthHeight.diff
> > > system/python/spyce
> > > cdrip/oggvorbis/*
> > > cores/dvdplayer/Codecs/ffmpeg
> > > cores/dvdplayer/Codecs/liba52
> > > cores/dvdplayer/Codecs/libdts
> > > cores/dvdplayer/Codecs/libdvd
> > > cores/dvdplayer/Codecs/libfaad2
> > > cores/dvdplayer/Codecs/libmad
> > > cores/dvdplayer/Codecs/libmpeg2
> > > cores/dvdplayer/DVDCodecs/Audio/liba52
> > > cores/dvdplayer/DVDCodecs/Audio/libdts
> > > cores/dvdplayer/DVDCodecs/Audio/libfaad
> > > cores/dvdplayer/DVDCodecs/Audio/libmad
> > > cores/dvdplayer/DVDInputStreams/dvdnav
> > > cores/dvdplayer/DVDInputStreams/mms
> > > cores/ffmpeg
> > > cores/paplayer/AC3Codec
> > > cores/paplayer/FLACCodec/flac-1.2.1
> > > cores/paplayer/ModuleCodec/dumb also it's non-DFSG free
> > > cores/paplayer/ogg
> > > cores/paplayer/SIDCodec/libsidplay
> > > cores/paplayer/SIDCodec/builders/hardsid-build
> > > cores/paplayer/SIDCodec/builders/resid-builder
> > > cores/paplayer/SPCCodec
> > > xbmc/cores/paplayer/timidity
> > > cores/paplayer/vgmstream
> > > cores/paplayer/vorbisfile
> > > cores/paplayer/WavPackCodec
> > > cores/paplayer/YMCodec
> > > FileSystem/curl
> > > lib/"mostly"* - WTF?! What an unbelievable mess! Even source copies
> > > contain other source copies?!?
> > > xbmc/screensavers/rsxs-0.9
> > > xbmc/visualizations/Goom/goom2k4-0 - Copied & patched
> > > xbmc/visualizations/Milkdrop/vis_milkdrop
> > > xbmc/visualizations/OpenGLSpectrum
> >
> > Yes, xbmc does use third party code, which include libraries. It is
> > possible to use system libraries rather than internal libraries for most
> > of the libraries xbmc ships. I would like to see xbmc use nothing but
> > system libraries where available, but this of course is going to require
> > a lot of work.
> >
> > > Illegal sources
> > > ===============
> > > media/Fonts/arial.ttf
> >
> > I suppose these can be replaced with the Liberation fonts.
> 
> I think the dejavu-* fonts could be an alternative, too.

We'll just stick with one replacement, and I would personally choose the 
Liberation fonts as that at least is advertised as compatible with the 
Monotype fonts.

> > > All precompiled binaries (Some with not so obvious suffixes)
> >
> > I don't see how these are illegal, unless you mean they don't have the
> > corresponding source used to compile them, with license. In any case,
> > could you clarify what you meant by this.
> 
> I meant that there shouldn't be anything precompiled in
> our .orig.tar.*s. Illegal is just some category I made up. Don't rely
> too much on the names of my topics ;)

*OUR* orig.tar.*s? You should be careful with this kind of phrasing. Last I 
checked, Debian is not some distro which includes software which is forked 
from their respective upstream sources (though at times it may seem that way).

> > > Questionable/Useless
> > > ====================
> > > media/weather.rar
> > > credits/credits.mod
> > > find -iname "*.bat"
> >
> > These are used, though of course the .bat files are not used in linux.
> 
> Then I suggest to drop them from the .orig.tar.gz. In some packages I
> use scripts to generate .orig.tar.gz files which automatically strip
> unwanted files before compressing the sources.
> 
> Something like find -iname "*.bat" -exec rm -f "{}" \; should be enough.
> Probably also usable for other kind of files (*.exe, *.dll, *.lib,
> *.dylib and so on)
> 
> > > project/*
> >
> > These are used for Windows at least.
> 
> Then I suggest to remove that directory from the .orig.tar.gz.

Like I said in my previous email, I'm not willing to remove files/directories 
from the source tarball simply because they appear useless for Debian/Linux. 
That's why they do not appear in the binary packages.

> > > xbmc-xrandr.c - WTF?!
> >
> > What exactly is the problem with xbmc-xrandr.c?
> 
> It looks like a redundant implementation of the xrandr from the
> x11-xserver-utils package. If it's just a source copy, then I'd suggest
> to remove it.

Yes, XBMC has it's own implementation of xrandr. It stays.

> > > scripts/*.zip
> >
> > XBMC can open scripts that are inside a zip file.
> 
> Ah, ok. Why not put them extracted into the .orig.tar.gz and build the
> ZIP archives at build time? I think that's a bit easier to maintain and
> keep track of changes in the scripts.

Yes, I think the contents of the zip files should be extracted and tracked in 
XBMC's svn as well, rather than having the zip files themselves tracked. This 
should wait til' next XBMC release to be fixed.

> > > system/asound.conf - WTF?!
> >
> > Don't know why that file is there.
> 
> It looks as if it's there to replace the usual system configuration. But
> for multichannel playback I'd suggest to use pulseaudio anyways. It
> already should (if it's not broken ;)) take care of the correct ALSA
> channels.

XBMC does use pulseaudio already. I think this file is here because of xbmc-
live, which essentially is a package meant to transform a computer into a set-
top box with very little need for any kind of configuration by a user. I'll 
have to double check, but at least this file isn't installed by the main XBMC 
binary packages.

> > > system/python/DLLs 'file' says precompiled PE32 binaries for .pyd files
> >
> > These are used in windows.
> 
> Should be removed from the .orig.tar.gz

They are not distributed through the binary packages, only the source package, 
thus I want them to stay in the source package.

> > > tools/MingwBuildEnvironment/msys.7z
> > > tools/PackageMaker
> > > tools/TexturePacker
> > > tools/XBMCLive
> > > tools/XBMCTex
> > > tools/XprPack
> >
> > The stuff in tools is basically utilities used by XBMC devs for various
> > purposes. Some of it is sources for precompiled binaries in other parts
> > of the source tree. XBMCLive is where the package xbmc-live comes from.
> 
> If it's development only and/or non-free tools I'd suggest to remove
> them from the .orig.tar.gz.
> 
> If they're free and useful to develop other cool stuff for XBMC I'd
> suggest to keep them and build binary packages from them.

They're free and useful to developers of XBMC, but not particularly useful to 
end users (except for xbmc-live). Only xbmc-live has a binary package.

> > > visualisations - 'file' says there are lots of PE32 binaries with
> > > suffix .vis
> >
> > These are precompiled binaries for windows.
> 
> should be removed from .orig.tar.gz

Again, they're not packaged in the binary packages.

> > > visualisations/Milkdrop/*.zip - ?!?
> > > visualisations/projectM - Authors? Copyright? Redistribution? Looks
> > > stolen to me
> >
> > libprojectm is already in the Debian archive. Also, milkdrop is going to
> > be a part of projectm soon.
> 
> Oops, my mistake ;)
> 
> > > cores/paplayer/ADPCMCodec
> >
> > Comes from adplug which is in the archive.
> 
> Isn't it another source code copy then or is it a wrapper around the
> codec?

XBMC makes use of the adplug library.

> > > cores/paplayer/shn - non-DFSG free
> >
> > Yes, there is that nagging "non-commercial" clause. xbmc should probably
> > take advantage of the ffmpeg implementation for shorten instead.
> 
> What be great to find something free. On the other hand: if there's no
> chance for XBMC to go into main, then, for packaging, it doesn't matter
> if it's restricted to non-commercial use.

FFmpeg is free.

> > > General
> > > =======
> > > Most GPL source code comment headers have an outdated FSF address
> > > Stuff (source or binary doesn't matter) from commercial platforms like
> > > Mac OS X and Windows is not our business. Whatever its licences say, it
> > > should not be part of an .orig.tar.*
> > > ---[ snap ]---
> >
> > Will get to fixing the address from the GPL headers at some point.
> >
> > About stuff that doesn't seem necessary or useful for Linux (or Debian),
> > there has to be some legitimate reason for removing them from the orig
> > tarball. Also, it has to be some reason other than "it's not useful for
> > Linux/Debian".
> 
> Well, at least it makes the sources less clear and harder to review ;)

As upstream, more changes in a distro package of some upstream source makes 
changes from the distro package less clear and harder to review.

> > The reason for this is simply because, speaking as upstream, we want to
> > _avoid_ having our source tree munged as much as possible.
> 
> How complicated is it to separate the XBMC sources from everything else
> that's needed for non-uninx platforms? That would make integrating XBMC
> into a Linux distribution much, much easier and would avoid license
> issues with slipped-in non-free things.

We ultimately want XBMC to be free and platform agnostic. To achieve this, we 
want XBMC to build and run from the same source on many platforms with as few 
changes for different platforms as possible.

> > I personally do not want xbmc to be in a situation similar to how ffmpeg
> > was in Debian.
> 
> Then the easy way is to put it into non-free ;)
> 
> Eeeh... to make things clear: By my quite negative review I did *NOT*
> mean to demotivate you about your work in and for XBMC! It's meant
> technical!
> 
> Cheers - Fuddl
> 

Very well, I understand. Don't take anything I say as a personal attack on 
you. None of it is meant as some kind of attack on anyone.

So far I've considered to look into the issue with the trademarked logos, the 
zip files at scripts/*.zip, and the inclusion of asound.conf.

For everything else, I'm not convinced that anything else should be changed, 
especially when it comes to removing files/directories simply because they're 
not used in Linux.

-- 
Regards,
Andres




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Wed, 02 Dec 2009 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Wed, 02 Dec 2009 16:27:02 GMT) Full text and rfc822 format available.

Message #138 received at 469397@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 469397@bugs.debian.org
Date: Wed, 2 Dec 2009 17:24:17 +0100
The current package needs:

$ dpkg-checkbuilddeps
dpkg-checkbuilddeps: Unmet build dependencies: libvdpau-dev |
nvidia-190-libvdpau-dev | nvidia-185-libvdpau-dev |
nvidia-180-libvdpau-dev


This should be changed to accept:

http://packages.debian.org/sid/nvidia-libvdpau-dev

$ apt-cache policy nvidia-libvdpau-dev
nvidia-libvdpau-dev:
  Installed: 195.22-1
  Candidate: 195.22-1
  Version table:
 *** 195.22-1 0
        100 /var/lib/dpkg/status
     190.42-3 0
        100 http://ftp.fr.debian.org unstable/non-free Packages

Thanks !
-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Wed, 02 Dec 2009 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Wed, 02 Dec 2009 16:33:03 GMT) Full text and rfc822 format available.

Message #143 received at 469397@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 469397@bugs.debian.org
Subject: Re:
Date: Wed, 2 Dec 2009 17:27:35 +0100
debian package is still missing some dependencies:


checking FLAC/stream_decoder.h presence... yes
checking for FLAC/stream_decoder.h... yes
checking for main in -lsmbclient... no
configure: error: Could not find a required library. Please see the
README for your platform.
make[1]: *** [override_dh_auto_configure] Error 1
make[1]: Leaving directory `/home/mathieu/Projects/csm/Code/Csm-gcc/xbmc'
make: *** [build] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#469397; Package wnpp. (Wed, 02 Dec 2009 20:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Wed, 02 Dec 2009 20:36:06 GMT) Full text and rfc822 format available.

Message #148 received at 469397@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 469397@bugs.debian.org
Subject: Re: Bug#469397:
Date: Wed, 02 Dec 2009 21:33:37 +0100
Mathieu Malaterre <mathieu.malaterre@gmail.com> writes:

> The current package needs:
>
> $ dpkg-checkbuilddeps
> dpkg-checkbuilddeps: Unmet build dependencies: libvdpau-dev |
> nvidia-190-libvdpau-dev | nvidia-185-libvdpau-dev |
> nvidia-180-libvdpau-dev
>
>
> This should be changed to accept:
>
> http://packages.debian.org/sid/nvidia-libvdpau-dev
>
> $ apt-cache policy nvidia-libvdpau-dev
> nvidia-libvdpau-dev:
>   Installed: 195.22-1
>   Candidate: 195.22-1
>   Version table:
>  *** 195.22-1 0
>         100 /var/lib/dpkg/status
>      190.42-3 0
>         100 http://ftp.fr.debian.org unstable/non-free Packages

the problem is that nvidia-libvdpau-dev is in non-free, whereas ffmpeg
is in main. Packages in main must not build depend on packages in
non-free.

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Owner changed from pkg-multimedia-maintainers@lists.alioth.debian.org to Andres Mejia <mcitadel@gmail.com>. Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Wed, 16 Dec 2009 23:06:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#469397; Package wnpp. (Thu, 17 Dec 2009 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 17 Dec 2009 01:03:03 GMT) Full text and rfc822 format available.

Message #155 received at 469397@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: debian-mentors@lists.debian.org
Cc: 469397@bugs.debian.org
Subject: RFS: xbmc
Date: Wed, 16 Dec 2009 19:59:33 -0500
Dear mentors,

I am looking for a sponsor for my package "xbmc".

* Package name    : xbmc
  Version         : 1:9.11~svn25756.rc1~deb1-1
  Main Contact: "Team-XBMC" <team at xbmc dot org>
  Upstream Author(s) : Andreas Setterlind [Gamester17]
                             Staffan Lindberg [pike]
                             Arne Morten Kvarving [cptspiff]
                             Anoop Menon [d4rk]
                             Joakim Plate [elupus]
                             Jonathan Marshall [jmarshall]
                            Tobias Arrskog [Topfs2]
                            Roee Vulkan [vulkanr]
                            Winfried Soltys [WiSo]
                            Yuval Tal [yuvalt]
                            John W Vanderbeck [agathorn]
                           Trent Nelson [AlTheKiller]
                           Andres Mejia [ceros]
                           Gunnar Norin [blittan]
                           Dean Ross Parry [C-Quel]
                           Sylvain Rebaud [c0diq]
                           Martin van Beurden [chadoe]
                           Scott Davilla [davilla]
                           Stephan Diederich [MaestroDD]
                           Benjamin Bertrand [Beenje]
                           Benjamin Dickgiesser [DonJ]
                           [GeminiServer]
                           Christian Granqvist [Granqvist]
                           Dave [kraqh3d]
                           Luigi Capriotti [l.capriotti]
                           Sean [malloc]
                           Kyle Hill [monkeyman]
                           [MrC]
                           [nad]
                           [nuka1195]
                           Vincent Blackwell-Price [Voinage]
                           Robert Parris [rwparris2]
                           Sigurdur H. Olafsson [sho]
                           Alasdair Campbell [Alcoheca]
                           Georgy Yunaev [oldnemesis]
                           Chris [phi2039]
                           Bob [bobo1on1]
                           David Allonby [motd2k]
                           Robert Rudd [Rudd]
                           Eric G [Tslayer]
                           Amund Scharning [tut-ankh-amon]
                           Matthias Kortstiege [VDRfan]
                           Daniel Mehrwald [AreaScout]
                           Oumar Aziz Outtara [wattazoum]
                           Chris Haley [CHI3f]
                           [Jezz_X]
                           [Smokehead]
                           Darren [Bizzeh]
                           Marc [Bobbin007]
                           Richard [Butcher]
                           Jan-Willem [Darkie]
                          Chris Branson [forza]
                          [Kreet]
                          [Ysbox]
                          Erwin Beckers [Frodo]
                          Albert Griscti-Soler [RUNTiME]
                          Phil Burr [d7o3g4q] (a.k.a. Duo Egaq)
                          Mathias Mahling [chokemaniac]
* URL             : xbmc.org
* License         : GPL-2+
  Section         : non-free/video (because of certain third party code with
                       non-DFSG clauses)

It builds these binary packages:
xbmc       - XBMC Media Center (full metapackage)
xbmc-bin   - XBMC Media Center (binary data package)
xbmc-data  - XBMC Media Center (arch-independent data package)
xbmc-dbg   - XBMC Media Center (debug package)
xbmc-eventclients-common - XBMC Media Center (Event Client Common package)
xbmc-eventclients-dev - XBMC Media Center (Event Client Dev package)
xbmc-eventclients-j2me - XBMC Media Center (Event Client J2ME package)
xbmc-eventclients-ps3 - XBMC Media Center (Event Client PS3 package)
xbmc-eventclients-wiiremote - XBMC Media Center (Event Client WII Remote support package)
xbmc-eventclients-xbmc-send - XBMC Media Center (Event Client XBMC-SEND package)
xbmc-live  - XBMC Media Center (XBMC Live package)
xbmc-scripts-example - XBMC Media Center (example scripts)
xbmc-skin-confluence - XBMC Media Center (Confluence skin)
xbmc-skin-pm3-hd - XBMC Media Center (PM3 HD skin)
xbmc-standalone - XBMC Media Center (standalone program)
xbmc-web-iphone-tlrobinson - XBMC Media Center (Iphone web skin)
xbmc-web-pm - XBMC Media Center (Project Mahem web skin)
xbmc-web-pm3 - XBMC Media Center (Project Mahem III web skin)

The package appears to be lintian clean.

The upload would fix these bugs: 469397

My motivation for maintaining this package is: I'm one of the XBMC developers.
I help maintain the packages in the Launchpad PPAs. I would like to see xbmc
packages distributed through Debian and ultimately through Ubuntu.

The package can be found on mentors.debian.net:
- URL: http://mentors.debian.net/debian/pool/non-free/x/xbmc
- Source repository: deb-src http://mentors.debian.net/debian unstable main contrib non-free
- dget http://mentors.debian.net/debian/pool/non-free/x/xbmc/xbmc_9.11~svn25756.rc1~deb1-1.dsc

I would be glad if someone uploaded this package for me.

A couple of things I would like to mention now.

This package has been reviewed before. You can find the review (as well as my
response) by looking through the ITP bug log.

This is the same package that was found in the git repo of the Debian
Multimedia team. It's been suggested by one of the DD's of the team to move
the package to collab-maint, since I was the only one within the team
supporting the package.

XBMC is licensed under the GPL-2+. There are various third party code and
libraries used as well, documented in the copyright file. There are also various
files and third party code used with licenses that have non-DFSG clauses.
None of the licenses makes XBMC undistributable however, which is why the
xbmc packages are being placed in non-free. Work is being done to resolve
these licensing issues. See [1] for more details.

The 'DM-Upload-Allowed: yes' field is set. I am a DM and also one of the
upstream devs for XBMC. I would like to keep this field set so that I may be
able to upload this package myself. If any potential sponsor absolutely has a
problem with this, I would be willing to unset it (or have it unset), of course
after some negotiation.

The package also appears to be piuparts clean, although some dependencies
of xbmc is causing the piuparts test to fail. Relevant log message.

1m56.5s DEBUG: Starting command: ['lsof', '-w', '+D', '/tmp/tmpSo4Kyw']
1m58.0s DEBUG: Command failed (status=1), but ignoring error: ['lsof', '-w', '+D', '/tmp/tmpSo4Kyw']
1m59.6s ERROR: FAIL: Broken symlinks:
  /etc/fonts/conf.d/30-defoma.conf -> /var/lib/defoma/fontconfig.d/fonts.conf
  /usr/lib/python2.4/site-packages/python-support.pth -> ../../pymodules/python2.4/.path
  /usr/lib/python2.6/dist-packages/python-support.pth -> ../../pymodules/python2.6/.path
  /usr/share/doc/python-apt/html/_static/jquery.js -> ../../../../javascript/jquery/jquery.js
1m59.6s DEBUG: Starting command: ['chroot', '/tmp/tmpSo4Kyw', 'umount', '/proc']
1m59.6s DEBUG: Command ok: ['chroot', '/tmp/tmpSo4Kyw', 'umount', '/proc']
2m0.9s DEBUG: Removed directory tree at /tmp/tmpSo4Kyw

Packages causing this are 'fontconfig', 'python-support', and 'python-apt'.

1. http://xbmc.org/trac/ticket/7983

-- 
Regards,
Andres




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andres Mejia <mcitadel@gmail.com>:
Bug#469397; Package wnpp. (Thu, 17 Dec 2009 02:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andres Mejia <mcitadel@gmail.com>. (Thu, 17 Dec 2009 02:18:03 GMT) Full text and rfc822 format available.

Message #160 received at 469397@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: debian-mentors@lists.debian.org, 469397@bugs.debian.org
Subject: Re: RFS: xbmc
Date: Thu, 17 Dec 2009 10:15:40 +0800
On Thu, Dec 17, 2009 at 8:59 AM, Andres Mejia <mcitadel@gmail.com> wrote:

> XBMC is licensed under the GPL-2+. There are various third party code and
> libraries used as well, documented in the copyright file. There are also various
> files and third party code used with licenses that have non-DFSG clauses.
> None of the licenses makes XBMC undistributable however, which is why the
> xbmc packages are being placed in non-free. Work is being done to resolve
> these licensing issues. See [1] for more details.
...
> 1. http://xbmc.org/trac/ticket/7983

Sounds undistributable to me (not even non-free), unless the XBMC
license is changed to the LGPL or there is a GPL exception for linking
against non-free code.

There are several bits of code that are free software but GPL
incompatible, you need to replace/remove these.

For the RSA MD5 implementation replacement you should use the
implementation from whatever crypto library you link against, instead
of introducing the 447th[1] copy of md5.c into the archive:

http://source.debian.net/source/search?path=md5.c

From what I can tell from the copyright file, there are also vast
amounts of embedded code copies, please have them all removed from the
upstream tarball before seeking sponsorship again. If that isn't
possible, please consult the security team to ask if it is OK to have
this amount of embedded code copies in one package, even Mozilla isn't
quite this bad. For stuff that isn't in the archive yet, you should
package that instead of creating an embedded code copy.

libdvdcss isn't available from Debian for good reason, it should
definitely not be available in xbmc.

Another WTF was a non-free implementation of CRC32 of all things!??!!

This indicates XMBC is not yet ready for Debian: "Copyright Microsoft
Corporation. All rights reserved. License: UNKNOWN", please withdraw
this RFS and remove the package from mentors.debian.net until the
copyright/license issues are resolved.

> The 'DM-Upload-Allowed: yes' field is set. I am a DM and also one of the
> upstream devs for XBMC. I would like to keep this field set so that I may be
> able to upload this package myself. If any potential sponsor absolutely has a
> problem with this, I would be willing to unset it (or have it unset), of course
> after some negotiation.

The DM-Upload-Allowed field is for sponsors to set after they are
satisfied that you can maintain the specific package well. You should
never include it in your first RFS.

> The package also appears to be piuparts clean, although some dependencies
> of xbmc is causing the piuparts test to fail. Relevant log message.
...
> Packages causing this are 'fontconfig', 'python-support', and 'python-apt'.

It would be helpful to file bugs here if they don't exist yet.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#469397; Package wnpp. (Thu, 17 Dec 2009 04:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 17 Dec 2009 04:45:03 GMT) Full text and rfc822 format available.

Message #165 received at 469397@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: debian-mentors@lists.debian.org
Cc: 469397@bugs.debian.org
Subject: Re: RFS: xbmc
Date: Wed, 16 Dec 2009 23:42:33 -0500
On Wednesday 16 December 2009 21:15:40 Paul Wise wrote:
> On Thu, Dec 17, 2009 at 8:59 AM, Andres Mejia <mcitadel@gmail.com> wrote:
> > XBMC is licensed under the GPL-2+. There are various third party code and
> > libraries used as well, documented in the copyright file. There are also
> > various files and third party code used with licenses that have non-DFSG
> > clauses. None of the licenses makes XBMC undistributable however, which
> > is why the xbmc packages are being placed in non-free. Work is being done
> > to resolve these licensing issues. See [1] for more details.
> 
> ...
> 
> > 1. http://xbmc.org/trac/ticket/7983
> 
> Sounds undistributable to me (not even non-free), unless the XBMC
> license is changed to the LGPL or there is a GPL exception for linking
> against non-free code.

Which license/issue are you referring to? Last I checked, all these 
problematic licenses had clauses like "you can't use this for commercial 
purposes", "you must send us patches upon request", or some other stupid 
clause like "you must not code on any Monday at 3:05pm in someone else's 
bedroom".

Even if XBMC were changed to LGPL, BSD, or whatever, I don't see how that will 
help with the third party code with these other restrictions.

So as far as I know, XBMC is at least distributable. It just unfortunately has 
some code that contains other restrictions like these nagging non-commercial 
clauses, which is keeping it from going to main.

> There are several bits of code that are free software but GPL
> incompatible, you need to replace/remove these.

Ok, yes. I did say it's being worked on.

> For the RSA MD5 implementation replacement you should use the
> implementation from whatever crypto library you link against, instead
> of introducing the 447th[1] copy of md5.c into the archive:
> 
> http://source.debian.net/source/search?path=md5.c

Alright, my fault for overlooking that. :/ I'll simply use the public domain 
implementation from dpkg.

> >From what I can tell from the copyright file, there are also vast
> 
> amounts of embedded code copies, please have them all removed from the
> upstream tarball before seeking sponsorship again. If that isn't
> possible, please consult the security team to ask if it is OK to have
> this amount of embedded code copies in one package, even Mozilla isn't
> quite this bad. For stuff that isn't in the archive yet, you should
> package that instead of creating an embedded code copy.

Yes, there are third party libraries in the source tarball. Most however is 
not used at all (at least when the proper configure switch is set to make XBMC 
build against system libs). At least for Debian/Ubuntu, the default would be 
to have XBMC use system libs. We (as XBMC upstream) eventually want to make 
use of system libs where available, and not just for Debian/Ubuntu.

I really don't want to resort to having to change the source tarball anymore 
from the original than it already is.

> libdvdcss isn't available from Debian for good reason, it should
> definitely not be available in xbmc.

And it's not. It's was included in the copyright file as a way to give credit. 
I suppose I'll remove it to avoid confusion.

> Another WTF was a non-free implementation of CRC32 of all things!??!!
> 
> This indicates XMBC is not yet ready for Debian: "Copyright Microsoft
> Corporation. All rights reserved. License: UNKNOWN", please withdraw
> this RFS and remove the package from mentors.debian.net until the
> copyright/license issues are resolved.

Ok. This was clarified in the Trac bug log as already being resolved. I guess 
I'll clarify it here too. That copyright file is somewhat outdated. I only 
included it in the bug log to make it somewhat easier to find the issues I 
found. I changed the copyright file seeing that it was becoming harder to read 
by humans.

So, there isn't any use of a non-free implementation of CRC32, or anything 
that's copyright to Microsoft.

Again, as far as I know, XBMC is distributable. It unfortunately contains some 
code that's keeping it from entering main.

> > The 'DM-Upload-Allowed: yes' field is set. I am a DM and also one of the
> > upstream devs for XBMC. I would like to keep this field set so that I may
> > be able to upload this package myself. If any potential sponsor
> > absolutely has a problem with this, I would be willing to unset it (or
> > have it unset), of course after some negotiation.
> 
> The DM-Upload-Allowed field is for sponsors to set after they are
> satisfied that you can maintain the specific package well. You should
> never include it in your first RFS.

I can't find any information that states the field should be set by sponsors. 
Seeing that I have been sponsored before for other packages with the field set 
(after I told my sponsors), I would rather wait for a sponsor who's willing to 
upload with the field set.

> > The package also appears to be piuparts clean, although some dependencies
> > of xbmc is causing the piuparts test to fail. Relevant log message.
> 
> ...
> 
> > Packages causing this are 'fontconfig', 'python-support', and
> > 'python-apt'.
> 
> It would be helpful to file bugs here if they don't exist yet.

Ok. Will do.

-- 
Regards,
Andres




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andres Mejia <mcitadel@gmail.com>:
Bug#469397; Package wnpp. (Thu, 17 Dec 2009 05:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andres Mejia <mcitadel@gmail.com>. (Thu, 17 Dec 2009 05:24:03 GMT) Full text and rfc822 format available.

Message #170 received at 469397@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: debian-mentors@lists.debian.org, 469397@bugs.debian.org
Subject: Re: RFS: xbmc
Date: Thu, 17 Dec 2009 13:20:39 +0800
On Thu, Dec 17, 2009 at 12:42 PM, Andres Mejia <mcitadel@gmail.com> wrote:
> On Wednesday 16 December 2009 21:15:40 Paul Wise wrote:
>> Sounds undistributable to me (not even non-free), unless the XBMC
>> license is changed to the LGPL or there is a GPL exception for linking
>> against non-free code.
>
> Which license/issue are you referring to? Last I checked, all these
> problematic licenses had clauses like "you can't use this for commercial
> purposes", "you must send us patches upon request", or some other stupid
> clause like "you must not code on any Monday at 3:05pm in someone else's
> bedroom".

You cannot satisfy both the GPL and these clauses at the same time,
which prevents distribution of XBMC in binary form at least.

> Even if XBMC were changed to LGPL, BSD, or whatever, I don't see how that will
> help with the third party code with these other restrictions.

With an LGPL/BSD XBMC you can satisfy the license of both XBMC and the
non-free stuff at the same time.

> So as far as I know, XBMC is at least distributable. It just unfortunately has
> some code that contains other restrictions like these nagging non-commercial
> clauses, which is keeping it from going to main.

They conflict with the GPL, so they keep it from being uploaded to
Debian at all.

>> There are several bits of code that are free software but GPL
>> incompatible, you need to replace/remove these.
>
> Ok, yes. I did say it's being worked on.

Good to hear, but until that work is complete, XBMC is not
distributable by anyone who doesn't want to violate the GPL (which
includes Debian ftpmasters).

>> For the RSA MD5 implementation replacement you should use the
>> implementation from whatever crypto library you link against, instead
>> of introducing the 447th[1] copy of md5.c into the archive:
>>
>> http://source.debian.net/source/search?path=md5.c
>
> Alright, my fault for overlooking that. :/ I'll simply use the public domain
> implementation from dpkg.

Ah, that means you will be adding the 447th copy of md5.c to Debian.
Could you instead dynamically link against one of the crypto libraries
(Fedora prefer libnss, Debian doesn't have a standard crypto lib) and
use the implementation from that?

> Yes, there are third party libraries in the source tarball. Most however is
> not used at all (at least when the proper configure switch is set to make XBMC
> build against system libs). At least for Debian/Ubuntu, the default would be
> to have XBMC use system libs. We (as XBMC upstream) eventually want to make
> use of system libs where available, and not just for Debian/Ubuntu.

Good to hear.

> I really don't want to resort to having to change the source tarball anymore
> from the original than it already is.

It would be good to get these removed upstream too. For OSes without
adequate packaging/repository systems you could create a separate
tarball containing tarballs with code from all the projects you depend
on. An example of this is warzone2100's devpkg:

http://download.gna.org/warzone/development/devpkg/

>> libdvdcss isn't available from Debian for good reason, it should
>> definitely not be available in xbmc.
>
> And it's not. It's was included in the copyright file as a way to give credit.
> I suppose I'll remove it to avoid confusion.

I see from the get-orig-source script that you removed them from the
tarball too, great.

> Ok. This was clarified in the Trac bug log as already being resolved. I guess
> I'll clarify it here too. That copyright file is somewhat outdated. I only
> included it in the bug log to make it somewhat easier to find the issues I
> found. I changed the copyright file seeing that it was becoming harder to read
> by humans.
>
> So, there isn't any use of a non-free implementation of CRC32, or anything
> that's copyright to Microsoft.

Ah, sorry for looking at the outdated copyright information.

>> > The 'DM-Upload-Allowed: yes' field is set. I am a DM and also one of the
>> > upstream devs for XBMC. I would like to keep this field set so that I may
>> > be able to upload this package myself. If any potential sponsor
>> > absolutely has a problem with this, I would be willing to unset it (or
>> > have it unset), of course after some negotiation.
>>
>> The DM-Upload-Allowed field is for sponsors to set after they are
>> satisfied that you can maintain the specific package well. You should
>> never include it in your first RFS.
>
> I can't find any information that states the field should be set by sponsors.
> Seeing that I have been sponsored before for other packages with the field set
> (after I told my sponsors), I would rather wait for a sponsor who's willing to
> upload with the field set.

That was how it was presented during initial discussions of the field,
seems like that policy was never written down where the relevant
persons would see it and current practice is to add it wherever
possible, sigh :(

-- 
bye,
pabs

http://wiki.debian.org/PaulWise




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#469397; Package wnpp. (Thu, 25 Nov 2010 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 25 Nov 2010 16:45:03 GMT) Full text and rfc822 format available.

Message #175 received at 469397@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: 469397@bugs.debian.org
Subject: ITP: xbmc -- XBMC Media Center (status update)
Date: Thu, 25 Nov 2010 11:42:18 -0500
Just a small update on what's going on.

I have given updates to any possible licensing issues at [1]. In short, I fixed 
numerous possible licensing issues myself upstream. The libraries libXBMS and 
UnrarXLib are the only issues that currently exist which are still an issue 
with licensing. At least for Debian, XBMC won't include those two libraries.

Also, I'm not going to worry about including the entire source tree of XBMC 
for Debian packages. I'll just be including the minimum to build the Debian 
packages.

There is the issue of needing to use system libraries instead of internal 
libraries whenever possible. This is especially true for XBMC's use of Python 
and FFMpeg libraries. Because XBMC depends on functionality where libc 
function calls are overridden (functions like fopen(), fdopen(), etc.), XBMC 
now needs to override libc function calls inside a system library as well. 
This is especially true for the two mentioned libraries above. See [2] for 
more info.

Aside from that, I don't see any other issue with XBMC being suitable for 
Debian.

1. http://trac.xbmc.org/ticket/7983
2. http://trac.xbmc.org/ticket/8658

-- 
Regards,
Andres Mejia




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andres Mejia <mcitadel@gmail.com>:
Bug#469397; Package wnpp. (Wed, 20 Apr 2011 15:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlo Stemberger <carlo.stemberger@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andres Mejia <mcitadel@gmail.com>. (Wed, 20 Apr 2011 15:33:08 GMT) Full text and rfc822 format available.

Message #180 received at 469397@bugs.debian.org (full text, mbox):

From: Carlo Stemberger <carlo.stemberger@gmail.com>
To: 469397@bugs.debian.org
Subject: #7983 fixed
Date: Wed, 20 Apr 2011 17:28:46 +0200
Hi,
the problem you reported has been fixed:

http://trac.xbmc.org/ticket/7983

Regards,
Carlo

-- 
 .'  `.   | Registered Linux User #443882
 |a_a  |  | http://counter.li.org/                      .''`.
 \<_)__/  +---                                         : :'  :
 /(   )\                                          ---+ `. `'`
|\`>  <  /\                  Registered Debian User #9 |   `-
\_|=='|_/       http://debiancounter.altervista.org/ |





Forcibly Merged 469397 584096. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 23 Apr 2011 08:58:25 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'amejia@debian.org' from 'Matthew Johnson <mjj29@debian.org>' Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sun, 17 Jul 2011 18:45:04 GMT) Full text and rfc822 format available.

Owner changed from Andres Mejia <mcitadel@gmail.com> to amejia@debian.org. Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sun, 17 Jul 2011 18:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#469397; Package wnpp. (Tue, 20 Sep 2011 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Tue, 20 Sep 2011 19:09:03 GMT) Full text and rfc822 format available.

Message #191 received at 469397@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 469397@bugs.debian.org
Date: Tue, 20 Sep 2011 21:06:04 +0200
Any update on this package ? Where can I download state of the art
debian/* files ?

Thanks much !
-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#469397; Package wnpp. (Tue, 17 Jan 2012 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <amejia004@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Tue, 17 Jan 2012 00:57:04 GMT) Full text and rfc822 format available.

Message #196 received at 469397@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia004@gmail.com>
To: 469397@bugs.debian.org
Subject: ITP: xbmc -- XBMC Media Center
Date: Mon, 16 Jan 2012 19:52:28 -0500
[Message part 1 (text/plain, inline)]
All packaging is done at https://github.com/xbmc/xbmc-packaging
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#469397; Package wnpp. (Sun, 19 Feb 2012 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Sun, 19 Feb 2012 18:00:03 GMT) Full text and rfc822 format available.

Message #201 received at 469397@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: 469397@bugs.debian.org
Subject: Re: Bug #469397: ITP: xbmc -- XBMC Media Center
Date: Mon, 20 Feb 2012 01:55:47 +0800
Hi Andres,

If the package is ready, please ask for review on debian-mentors
and/or pkg-multimedia.

-- 
Regards,
Aron Xu




Changed Bug title to 'ITP: xbmc -- XBox Media Center Linux Port' from 'ITP: xbmc -- XBMC Media Center' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 23 Feb 2012 04:18:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#469397; Package wnpp. (Sun, 25 Mar 2012 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@luffy.cx>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Sun, 25 Mar 2012 08:36:03 GMT) Full text and rfc822 format available.

Message #208 received at 469397@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@luffy.cx>
To: 469397@bugs.debian.org
Subject: XBMC 11.0
Date: Sun, 25 Mar 2012 10:32:12 +0200
Hi!

Now that  XBMC 11.0 has been released,  is there any plan  to upload the
current package to unstable?

Thanks.
-- 
Vincent Bernat ☯ http://vincent.bernat.im

 /*
  * Hash table gook..
  */
	2.4.0-test2 /usr/src/linux/fs/buffer.c




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#469397; Package wnpp. (Sun, 25 Mar 2012 14:27:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Sun, 25 Mar 2012 14:27:23 GMT) Full text and rfc822 format available.

Message #213 received at 469397@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@free.fr>
To: Vincent Bernat <bernat@luffy.cx>
Cc: 469397@bugs.debian.org
Subject: Re: Bug#469397: XBMC 11.0
Date: Sun, 25 Mar 2012 15:59:19 +0200
Vincent Bernat <bernat@luffy.cx> writes:

> Hi!
>
> Now that  XBMC 11.0 has been released,  is there any plan  to upload the
> current package to unstable?

Otherwise you can install dmo packages :

http://www.debian-multimedia.org/

http://www.debian-multimedia.org/pool/main/x/xbmc-dmo/xbmc-dmo

Christian




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 30 Mar 2012 19:06:11 GMT) Full text and rfc822 format available.

Reply sent to Andres Mejia <amejia@debian.org>:
You have taken responsibility. (Fri, 06 Apr 2012 23:06:05 GMT) Full text and rfc822 format available.

Notification sent to amejia@debian.org:
Bug acknowledged by developer. (Fri, 06 Apr 2012 23:06:05 GMT) Full text and rfc822 format available.

Message #220 received at 469397-close@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia@debian.org>
To: 469397-close@bugs.debian.org
Subject: Bug#469397: fixed in xbmc 2:11.0~git20120403.ec33f1f-1
Date: Fri, 06 Apr 2012 23:02:50 +0000
Source: xbmc
Source-Version: 2:11.0~git20120403.ec33f1f-1

We believe that the bug you reported is fixed in the latest version of
xbmc, which is due to be installed in the Debian FTP archive:

xbmc-bin_11.0~git20120403.ec33f1f-1_amd64.deb
  to main/x/xbmc/xbmc-bin_11.0~git20120403.ec33f1f-1_amd64.deb
xbmc-data_11.0~git20120403.ec33f1f-1_all.deb
  to main/x/xbmc/xbmc-data_11.0~git20120403.ec33f1f-1_all.deb
xbmc-eventclients-common_11.0~git20120403.ec33f1f-1_all.deb
  to main/x/xbmc/xbmc-eventclients-common_11.0~git20120403.ec33f1f-1_all.deb
xbmc-eventclients-dev_11.0~git20120403.ec33f1f-1_all.deb
  to main/x/xbmc/xbmc-eventclients-dev_11.0~git20120403.ec33f1f-1_all.deb
xbmc-eventclients-j2me_11.0~git20120403.ec33f1f-1_all.deb
  to main/x/xbmc/xbmc-eventclients-j2me_11.0~git20120403.ec33f1f-1_all.deb
xbmc-eventclients-ps3_11.0~git20120403.ec33f1f-1_all.deb
  to main/x/xbmc/xbmc-eventclients-ps3_11.0~git20120403.ec33f1f-1_all.deb
xbmc-eventclients-wiiremote_11.0~git20120403.ec33f1f-1_amd64.deb
  to main/x/xbmc/xbmc-eventclients-wiiremote_11.0~git20120403.ec33f1f-1_amd64.deb
xbmc-eventclients-xbmc-send_11.0~git20120403.ec33f1f-1_all.deb
  to main/x/xbmc/xbmc-eventclients-xbmc-send_11.0~git20120403.ec33f1f-1_all.deb
xbmc-live_11.0~git20120403.ec33f1f-1_all.deb
  to main/x/xbmc/xbmc-live_11.0~git20120403.ec33f1f-1_all.deb
xbmc-skin-confluence_11.0~git20120403.ec33f1f-1_all.deb
  to main/x/xbmc/xbmc-skin-confluence_11.0~git20120403.ec33f1f-1_all.deb
xbmc-standalone_11.0~git20120403.ec33f1f-1_all.deb
  to main/x/xbmc/xbmc-standalone_11.0~git20120403.ec33f1f-1_all.deb
xbmc_11.0~git20120403.ec33f1f-1.debian.tar.gz
  to main/x/xbmc/xbmc_11.0~git20120403.ec33f1f-1.debian.tar.gz
xbmc_11.0~git20120403.ec33f1f-1.dsc
  to main/x/xbmc/xbmc_11.0~git20120403.ec33f1f-1.dsc
xbmc_11.0~git20120403.ec33f1f-1_all.deb
  to main/x/xbmc/xbmc_11.0~git20120403.ec33f1f-1_all.deb
xbmc_11.0~git20120403.ec33f1f.orig.tar.gz
  to main/x/xbmc/xbmc_11.0~git20120403.ec33f1f.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 469397@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andres Mejia <amejia@debian.org> (supplier of updated xbmc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 30 Mar 2012 00:04:04 -0400
Source: xbmc
Binary: xbmc xbmc-bin xbmc-live xbmc-eventclients-common xbmc-eventclients-dev xbmc-eventclients-wiiremote xbmc-eventclients-j2me xbmc-eventclients-ps3 xbmc-eventclients-xbmc-send xbmc-data xbmc-skin-confluence xbmc-standalone
Architecture: source all amd64
Version: 2:11.0~git20120403.ec33f1f-1
Distribution: unstable
Urgency: low
Maintainer: Team XBMC <team-xbmc@lists.launchpad.net>
Changed-By: Andres Mejia <amejia@debian.org>
Description: 
 xbmc       - XBMC Media Center (arch-independent data package)
 xbmc-bin   - XBMC Media Center (binary data package)
 xbmc-data  - XBMC Media Center (transitional package)
 xbmc-eventclients-common - XBMC Media Center (Event Client Common package)
 xbmc-eventclients-dev - XBMC Media Center (Event Client Dev package)
 xbmc-eventclients-j2me - XBMC Media Center (Event Client J2ME package)
 xbmc-eventclients-ps3 - XBMC Media Center (Event Client PS3 package)
 xbmc-eventclients-wiiremote - XBMC Media Center (Event Client WII Remote support package)
 xbmc-eventclients-xbmc-send - XBMC Media Center (Event Client XBMC-SEND package)
 xbmc-live  - XBMC Media Center (XBMC Live package)
 xbmc-skin-confluence - XBMC Media Center (transitional package)
 xbmc-standalone - XBMC Media Center (transitional package)
Closes: 469397
Changes: 
 xbmc (2:11.0~git20120403.ec33f1f-1) unstable; urgency=low
 .
   * Package XBMC for Debian. (Closes: #469397) (LP: #307162)
Checksums-Sha1: 
 fbd8d8d2184cf5feeec59fb3365665fe3080af13 4098 xbmc_11.0~git20120403.ec33f1f-1.dsc
 874210faacf3e2bdd193c3da3837c8b61ee57ac8 52929595 xbmc_11.0~git20120403.ec33f1f.orig.tar.gz
 2d4f9bde90813838a499235a91c333a6ace11a7d 97654 xbmc_11.0~git20120403.ec33f1f-1.debian.tar.gz
 476841881c12982980a4574ade900f0e5c678c53 25968722 xbmc_11.0~git20120403.ec33f1f-1_all.deb
 69bce869074f5cfc535dba064ae77d7a627d6d40 7486316 xbmc-bin_11.0~git20120403.ec33f1f-1_amd64.deb
 98e34cd86a61d8c31a3ca5bf3a6d7790e5c57a55 42830 xbmc-live_11.0~git20120403.ec33f1f-1_all.deb
 a483aee84122bba7f098e1438d7c0b919d3014e6 56898 xbmc-eventclients-common_11.0~git20120403.ec33f1f-1_all.deb
 77290bdab7e4a6a6569860ae4cf7e5d2b6cf7bf6 41338 xbmc-eventclients-dev_11.0~git20120403.ec33f1f-1_all.deb
 379144c6d7c7b58be6b47eeda88d3610bc375b4f 58874 xbmc-eventclients-wiiremote_11.0~git20120403.ec33f1f-1_amd64.deb
 b094600ba321496bc17ec00688b5c6ab937be07a 34178 xbmc-eventclients-j2me_11.0~git20120403.ec33f1f-1_all.deb
 4e3514f06a5b4e4b706e984793c1337d6da54039 34648 xbmc-eventclients-ps3_11.0~git20120403.ec33f1f-1_all.deb
 4d87d6726dc0c34a33975a31d87d2948f266caa8 33448 xbmc-eventclients-xbmc-send_11.0~git20120403.ec33f1f-1_all.deb
 55d4883a4d3d506e397285ea9f6360d1ec2d1a0c 31830 xbmc-data_11.0~git20120403.ec33f1f-1_all.deb
 c4944b875baf765c42e6126f3777611e9fcb0b05 31842 xbmc-skin-confluence_11.0~git20120403.ec33f1f-1_all.deb
 d51c650997184ce2014e07b303b6a6743981905b 31836 xbmc-standalone_11.0~git20120403.ec33f1f-1_all.deb
Checksums-Sha256: 
 ddee62eac8e27489098b302501e0149d97437a1bdd27903c6666ad683775cc2d 4098 xbmc_11.0~git20120403.ec33f1f-1.dsc
 21753955e24132992e3151011bedcc3c7293e83156d5b4a7563778fe7f45d537 52929595 xbmc_11.0~git20120403.ec33f1f.orig.tar.gz
 40eead335cf7cdcd16d79ab87231a122c87352425f90803278a053f8f6128bf0 97654 xbmc_11.0~git20120403.ec33f1f-1.debian.tar.gz
 5ca79dec14ced22c0aae3cae585a6476dfd278e1876aedc284c6c677fd640a7e 25968722 xbmc_11.0~git20120403.ec33f1f-1_all.deb
 ade81364ec321f618dee3cbcd6ceb14508d40629e8d31c7af08ade29fe2d3b98 7486316 xbmc-bin_11.0~git20120403.ec33f1f-1_amd64.deb
 006b2fc8462c8ed6ecafdb86129fc2eaeb7bbf5db9e1128b7a73e7f595c04f8f 42830 xbmc-live_11.0~git20120403.ec33f1f-1_all.deb
 733cc8cab3dea4ae072cd19732cf355ce13da3a64ed7b9d56b675896123818b7 56898 xbmc-eventclients-common_11.0~git20120403.ec33f1f-1_all.deb
 b3e587d3a5796c1f75c062869a7778fb95209d87283b6d33d9d09fa5ad951f33 41338 xbmc-eventclients-dev_11.0~git20120403.ec33f1f-1_all.deb
 cad0fa3751de6abc4916d9d6b641455d23b92faf73fc0384b48918d0c38b77cb 58874 xbmc-eventclients-wiiremote_11.0~git20120403.ec33f1f-1_amd64.deb
 1c61be4495619a7ab985b75879dc229615b17cbd51bfa22dea16c0d1302592f6 34178 xbmc-eventclients-j2me_11.0~git20120403.ec33f1f-1_all.deb
 af2c173b61e2db5425f3c4f178720f8e7f392cc1bd7395e53f639e8f7d60f156 34648 xbmc-eventclients-ps3_11.0~git20120403.ec33f1f-1_all.deb
 7f3a25953c4cebe958b6811713177b8accc44648ddcea16f83234a67db54bc35 33448 xbmc-eventclients-xbmc-send_11.0~git20120403.ec33f1f-1_all.deb
 6b575a433ce5a0e101682837ff8723fc475e869569e2e0c4433154b2449a30a4 31830 xbmc-data_11.0~git20120403.ec33f1f-1_all.deb
 521db6d7b7d1b9d4afc08857f32a0f24d35a42fc50c3be921f675fdb62c590ad 31842 xbmc-skin-confluence_11.0~git20120403.ec33f1f-1_all.deb
 51dcfa328cb0fd9c24d6b1bbadc601db55f85c95e99fb42af94292df1933f5ca 31836 xbmc-standalone_11.0~git20120403.ec33f1f-1_all.deb
Files: 
 e773c2d923b5b6d1c3044004c754d3ce 4098 video optional xbmc_11.0~git20120403.ec33f1f-1.dsc
 c4a9e5a571b4ceee7419e0ebf43058bb 52929595 video optional xbmc_11.0~git20120403.ec33f1f.orig.tar.gz
 f74a058c00caccec30b61bfc47b14d43 97654 video optional xbmc_11.0~git20120403.ec33f1f-1.debian.tar.gz
 7f932f73afb4f38e15fb1dd99190a9e7 25968722 video optional xbmc_11.0~git20120403.ec33f1f-1_all.deb
 b4896d974bc60d336db09324d4c533dd 7486316 video optional xbmc-bin_11.0~git20120403.ec33f1f-1_amd64.deb
 4f3f6b941ec6d6d6ed9cd5e5c200f78b 42830 video optional xbmc-live_11.0~git20120403.ec33f1f-1_all.deb
 9aa0903ccc3e40f47526541340affb01 56898 video optional xbmc-eventclients-common_11.0~git20120403.ec33f1f-1_all.deb
 30e7132d80c26f1d9bb63ef17dbe1b26 41338 libdevel optional xbmc-eventclients-dev_11.0~git20120403.ec33f1f-1_all.deb
 045ca9b1cb42e6206eb81f52530e8bfd 58874 video optional xbmc-eventclients-wiiremote_11.0~git20120403.ec33f1f-1_amd64.deb
 0bc32d2684eea640e926bd77118b60eb 34178 video optional xbmc-eventclients-j2me_11.0~git20120403.ec33f1f-1_all.deb
 639ef623986ff5341dec51ef44e80236 34648 video optional xbmc-eventclients-ps3_11.0~git20120403.ec33f1f-1_all.deb
 2a64fe54e5521d763c9d632873d074ff 33448 video optional xbmc-eventclients-xbmc-send_11.0~git20120403.ec33f1f-1_all.deb
 a94856d9f0c241d3362d1126b031f0e7 31830 oldlibs extra xbmc-data_11.0~git20120403.ec33f1f-1_all.deb
 3f7e76369a71437835e56d2448ffb581 31842 oldlibs extra xbmc-skin-confluence_11.0~git20120403.ec33f1f-1_all.deb
 fc519732dc1ab565f26c6bcdc654e8b9 31836 oldlibs extra xbmc-standalone_11.0~git20120403.ec33f1f-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJPe9FAAAoJED+5x4pTyFTflM8QAMLNFSN5HQTM2oa7Ems9cngO
PcfsuPWM5o8aQJX4mURMVWFYf/kLk161HIWC1ekKwMrQEeeVzPrx4lE3Gl+hmP/C
bUrHjI7eSWnd0wgbMRqPHoOqZCaLGruEMAtP3iVWdPI9kHmKUlTutEB9CobAQmF5
fD34uH1f6TrMOIM6q3K1iAWb/MlkaVk+leG7Qsg8W5trr2d4EZlwd8HDnm3QuQT0
MH0rcXV7jyGb7lyzNpiqXyRKzWWkzCYqbeYgSCf6FOSxEgy0rMZ9OOvHMSgkU5tv
1UmATDZbVtZvCvTAF3InNqtP0o9LIZuJ7TvDnL8qTQxXsrk0rmYACoypobkg975u
I4J11K8Xo0GG5VU7gCJ/Uc+hwGjdCDNhW2l0CF/NVDHEAi22zEZsTd7ibm1gN6sS
rCdUuOHKBYJ5J2b+V9EhyFpQQDGdgfyqYBn3eIbnPLYMJPuB17BQFleEURYU2z3Z
2jxX9+gSjROZuXGmwJ5EIre3FrAzziIniG8NPY8bNYa4GbmxprRSgw6/5O3T0Lfq
CWSfu1jciQgSBwERAZ5AYRD6kNeHlIHhVxLaAm0KQurUrs09f1CdAhXaXhFKsazO
NzVX4UkJ15yg/NR2Ku3NLtcyB2R+fL44LzaJ2y6Q/dsIB9NxvnmFGYVZvojHj/rQ
2RBWPN9fR8YzWOduQzph
=Whlu
-----END PGP SIGNATURE-----





Reply sent to Andres Mejia <amejia@debian.org>:
You have taken responsibility. (Fri, 06 Apr 2012 23:06:06 GMT) Full text and rfc822 format available.

Notification sent to <eric2.valette@orange-ftgroup.com>:
Bug acknowledged by developer. (Fri, 06 Apr 2012 23:06:06 GMT) Full text and rfc822 format available.

Reply sent to Andres Mejia <amejia@debian.org>:
You have taken responsibility. (Fri, 06 Apr 2012 23:06:08 GMT) Full text and rfc822 format available.

Notification sent to amejia@debian.org:
Bug acknowledged by developer. (Fri, 06 Apr 2012 23:06:08 GMT) Full text and rfc822 format available.

Message #230 received at 469397-close@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia@debian.org>
To: 469397-close@bugs.debian.org
Subject: Bug#469397: fixed in xbmc 2:11.0~git20120403.ec33f1f+repack1-1
Date: Fri, 06 Apr 2012 23:03:47 +0000
Source: xbmc
Source-Version: 2:11.0~git20120403.ec33f1f+repack1-1

We believe that the bug you reported is fixed in the latest version of
xbmc, which is due to be installed in the Debian FTP archive:

xbmc-bin_11.0~git20120403.ec33f1f+repack1-1_amd64.deb
  to main/x/xbmc/xbmc-bin_11.0~git20120403.ec33f1f+repack1-1_amd64.deb
xbmc-data_11.0~git20120403.ec33f1f+repack1-1_all.deb
  to main/x/xbmc/xbmc-data_11.0~git20120403.ec33f1f+repack1-1_all.deb
xbmc-eventclients-common_11.0~git20120403.ec33f1f+repack1-1_all.deb
  to main/x/xbmc/xbmc-eventclients-common_11.0~git20120403.ec33f1f+repack1-1_all.deb
xbmc-eventclients-dev_11.0~git20120403.ec33f1f+repack1-1_all.deb
  to main/x/xbmc/xbmc-eventclients-dev_11.0~git20120403.ec33f1f+repack1-1_all.deb
xbmc-eventclients-j2me_11.0~git20120403.ec33f1f+repack1-1_all.deb
  to main/x/xbmc/xbmc-eventclients-j2me_11.0~git20120403.ec33f1f+repack1-1_all.deb
xbmc-eventclients-ps3_11.0~git20120403.ec33f1f+repack1-1_all.deb
  to main/x/xbmc/xbmc-eventclients-ps3_11.0~git20120403.ec33f1f+repack1-1_all.deb
xbmc-eventclients-wiiremote_11.0~git20120403.ec33f1f+repack1-1_amd64.deb
  to main/x/xbmc/xbmc-eventclients-wiiremote_11.0~git20120403.ec33f1f+repack1-1_amd64.deb
xbmc-eventclients-xbmc-send_11.0~git20120403.ec33f1f+repack1-1_all.deb
  to main/x/xbmc/xbmc-eventclients-xbmc-send_11.0~git20120403.ec33f1f+repack1-1_all.deb
xbmc-live_11.0~git20120403.ec33f1f+repack1-1_all.deb
  to main/x/xbmc/xbmc-live_11.0~git20120403.ec33f1f+repack1-1_all.deb
xbmc-skin-confluence_11.0~git20120403.ec33f1f+repack1-1_all.deb
  to main/x/xbmc/xbmc-skin-confluence_11.0~git20120403.ec33f1f+repack1-1_all.deb
xbmc-standalone_11.0~git20120403.ec33f1f+repack1-1_all.deb
  to main/x/xbmc/xbmc-standalone_11.0~git20120403.ec33f1f+repack1-1_all.deb
xbmc_11.0~git20120403.ec33f1f+repack1-1.debian.tar.gz
  to main/x/xbmc/xbmc_11.0~git20120403.ec33f1f+repack1-1.debian.tar.gz
xbmc_11.0~git20120403.ec33f1f+repack1-1.dsc
  to main/x/xbmc/xbmc_11.0~git20120403.ec33f1f+repack1-1.dsc
xbmc_11.0~git20120403.ec33f1f+repack1-1_all.deb
  to main/x/xbmc/xbmc_11.0~git20120403.ec33f1f+repack1-1_all.deb
xbmc_11.0~git20120403.ec33f1f+repack1.orig.tar.gz
  to main/x/xbmc/xbmc_11.0~git20120403.ec33f1f+repack1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 469397@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andres Mejia <amejia@debian.org> (supplier of updated xbmc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 30 Mar 2012 00:04:04 -0400
Source: xbmc
Binary: xbmc xbmc-bin xbmc-live xbmc-eventclients-common xbmc-eventclients-dev xbmc-eventclients-wiiremote xbmc-eventclients-j2me xbmc-eventclients-ps3 xbmc-eventclients-xbmc-send xbmc-data xbmc-skin-confluence xbmc-standalone
Architecture: source all amd64
Version: 2:11.0~git20120403.ec33f1f+repack1-1
Distribution: unstable
Urgency: low
Maintainer: Team XBMC <team-xbmc@lists.launchpad.net>
Changed-By: Andres Mejia <amejia@debian.org>
Description: 
 xbmc       - XBMC Media Center (arch-independent data package)
 xbmc-bin   - XBMC Media Center (binary data package)
 xbmc-data  - XBMC Media Center (transitional package)
 xbmc-eventclients-common - XBMC Media Center (Event Client Common package)
 xbmc-eventclients-dev - XBMC Media Center (Event Client Dev package)
 xbmc-eventclients-j2me - XBMC Media Center (Event Client J2ME package)
 xbmc-eventclients-ps3 - XBMC Media Center (Event Client PS3 package)
 xbmc-eventclients-wiiremote - XBMC Media Center (Event Client WII Remote support package)
 xbmc-eventclients-xbmc-send - XBMC Media Center (Event Client XBMC-SEND package)
 xbmc-live  - XBMC Media Center (XBMC Live package)
 xbmc-skin-confluence - XBMC Media Center (transitional package)
 xbmc-standalone - XBMC Media Center (transitional package)
Closes: 469397
Changes: 
 xbmc (2:11.0~git20120403.ec33f1f+repack1-1) unstable; urgency=low
 .
   * Package XBMC for Debian. (Closes: #469397) (LP: #307162)
Checksums-Sha1: 
 2bc21368640a77c6aeb99d899776c14662dd3c5e 4154 xbmc_11.0~git20120403.ec33f1f+repack1-1.dsc
 a9e60913b551abcfb23636f65794d993285944d2 46100681 xbmc_11.0~git20120403.ec33f1f+repack1.orig.tar.gz
 018bb7039fff2b7a780c3b74772764d75734fcb4 97637 xbmc_11.0~git20120403.ec33f1f+repack1-1.debian.tar.gz
 d5c17a4c9484dd6daf8f659a8c3415b3e8e6be78 25968758 xbmc_11.0~git20120403.ec33f1f+repack1-1_all.deb
 d12931fb46a10225051e01feb5b0a19002148475 7486356 xbmc-bin_11.0~git20120403.ec33f1f+repack1-1_amd64.deb
 1418dcbdfc659e9bb0c9799f9819fca959e9f4fa 42836 xbmc-live_11.0~git20120403.ec33f1f+repack1-1_all.deb
 04f6595a223fbaf85140659b658638276a8056a0 56906 xbmc-eventclients-common_11.0~git20120403.ec33f1f+repack1-1_all.deb
 bd5a790ce2b5c5049439196c007c155c6c1bc6b3 41348 xbmc-eventclients-dev_11.0~git20120403.ec33f1f+repack1-1_all.deb
 c6f73b8877416978363d5fd1ec30c0b20d420321 58886 xbmc-eventclients-wiiremote_11.0~git20120403.ec33f1f+repack1-1_amd64.deb
 5a19f01ffb7cab2729b83058579c8a5060540ec6 34198 xbmc-eventclients-j2me_11.0~git20120403.ec33f1f+repack1-1_all.deb
 f3ae16cbd2ec8dbe564c9ae0ef9a2f3d556cda04 34660 xbmc-eventclients-ps3_11.0~git20120403.ec33f1f+repack1-1_all.deb
 43942dbca45b81e0d52b255d74fc75068c674474 33466 xbmc-eventclients-xbmc-send_11.0~git20120403.ec33f1f+repack1-1_all.deb
 fc3c11608f0507036fb44b70a106957ecfcb14f7 31836 xbmc-data_11.0~git20120403.ec33f1f+repack1-1_all.deb
 e431a131dfc2fb31b186f79235f9c6166ab9df10 31850 xbmc-skin-confluence_11.0~git20120403.ec33f1f+repack1-1_all.deb
 b54e35a0c44ab8b83c61cbf1c3f7a75276d3ff11 31844 xbmc-standalone_11.0~git20120403.ec33f1f+repack1-1_all.deb
Checksums-Sha256: 
 6069663df2c7265ff539cdb2d00c6a56403bd1cf67348a50025fd126a1cedc53 4154 xbmc_11.0~git20120403.ec33f1f+repack1-1.dsc
 b9b37f0beb66fd0977eeb2145f8061ec54ed7a5d73969e23adb8834e6065a510 46100681 xbmc_11.0~git20120403.ec33f1f+repack1.orig.tar.gz
 84e15a81d646cd85399104f49c5926c0f1974dcb8e4209725486dd32485874e3 97637 xbmc_11.0~git20120403.ec33f1f+repack1-1.debian.tar.gz
 0c1ad6831290ee58d157e378316ded1af9f46dfa396a532ca3447d61449ea792 25968758 xbmc_11.0~git20120403.ec33f1f+repack1-1_all.deb
 3563187abee85f376b0af163e31a329e6207576346e6382f624c9ea1da5b1a44 7486356 xbmc-bin_11.0~git20120403.ec33f1f+repack1-1_amd64.deb
 ebc056ed115179e014ba4b0b69da8b80bf51facdb39d9e1553dc979d1a647d97 42836 xbmc-live_11.0~git20120403.ec33f1f+repack1-1_all.deb
 acb9058e7460d1327dec032e54fb79a161edb1f68a32624150406b2de59e39bc 56906 xbmc-eventclients-common_11.0~git20120403.ec33f1f+repack1-1_all.deb
 af0052b97c000a6e44321ccd8729a1f07e7c8d7e6fa2e00b20fc54b03103ce2d 41348 xbmc-eventclients-dev_11.0~git20120403.ec33f1f+repack1-1_all.deb
 fe28dad0aa53b67f5d1a0c8dfb40cf12c554197b8bd07120dcdb032c8165a629 58886 xbmc-eventclients-wiiremote_11.0~git20120403.ec33f1f+repack1-1_amd64.deb
 b2b0a4ef251a1c437b86cba0a9bd92f6e2471eac1a0e79a1922a61d37a73d038 34198 xbmc-eventclients-j2me_11.0~git20120403.ec33f1f+repack1-1_all.deb
 00c4562b1e0237e43005126ee57e0f6507d107b3b1c6ae5d5a0f1f6c56b9f0b4 34660 xbmc-eventclients-ps3_11.0~git20120403.ec33f1f+repack1-1_all.deb
 a76f3847cfc16f13e29375213e5c766538af5dbb6bf03c4245c51e8317db1893 33466 xbmc-eventclients-xbmc-send_11.0~git20120403.ec33f1f+repack1-1_all.deb
 3e7a5bb56a355e20ec7173c4fe983d5344a458586db6998b781a05541cd9bb11 31836 xbmc-data_11.0~git20120403.ec33f1f+repack1-1_all.deb
 8c6cb584279f641ff13d626281b9f496cf6830570bf9d64b49b44847f4a6df0f 31850 xbmc-skin-confluence_11.0~git20120403.ec33f1f+repack1-1_all.deb
 dd41f44c6eb35df721a106071d2919c8f4876e70f21a510670cea737a0a4d811 31844 xbmc-standalone_11.0~git20120403.ec33f1f+repack1-1_all.deb
Files: 
 ce6559f777171291c8eea54be4da554d 4154 video optional xbmc_11.0~git20120403.ec33f1f+repack1-1.dsc
 f16d74756c6f1ee995552ff52189016f 46100681 video optional xbmc_11.0~git20120403.ec33f1f+repack1.orig.tar.gz
 1bc1685b34230dc67670c5f47fc67838 97637 video optional xbmc_11.0~git20120403.ec33f1f+repack1-1.debian.tar.gz
 57181232baf242d14e826654108d5024 25968758 video optional xbmc_11.0~git20120403.ec33f1f+repack1-1_all.deb
 89945625fcfc85b22c493b2137113d9a 7486356 video optional xbmc-bin_11.0~git20120403.ec33f1f+repack1-1_amd64.deb
 72b3608c17e19dd90871f43f4b4d0aad 42836 video optional xbmc-live_11.0~git20120403.ec33f1f+repack1-1_all.deb
 f9dd1e168a60308b1121a272d30fe7ed 56906 video optional xbmc-eventclients-common_11.0~git20120403.ec33f1f+repack1-1_all.deb
 c9793d3365cf1c12bc36aa2f6f4d946f 41348 libdevel optional xbmc-eventclients-dev_11.0~git20120403.ec33f1f+repack1-1_all.deb
 09bd2eb4e1d2fedc0da0ecafe4bccd31 58886 video optional xbmc-eventclients-wiiremote_11.0~git20120403.ec33f1f+repack1-1_amd64.deb
 e2ebfa1e36f9b7b3b0397a82f5ebc3a2 34198 video optional xbmc-eventclients-j2me_11.0~git20120403.ec33f1f+repack1-1_all.deb
 5b9e1238219de032063d30f364e5d12a 34660 video optional xbmc-eventclients-ps3_11.0~git20120403.ec33f1f+repack1-1_all.deb
 e7506b6a2f417b5cc0a012a15962af93 33466 video optional xbmc-eventclients-xbmc-send_11.0~git20120403.ec33f1f+repack1-1_all.deb
 5b2a5c6298977b22e804ae55c7dfa7f6 31836 oldlibs extra xbmc-data_11.0~git20120403.ec33f1f+repack1-1_all.deb
 7b209939ba8d6927ceed31d9597090b6 31850 oldlibs extra xbmc-skin-confluence_11.0~git20120403.ec33f1f+repack1-1_all.deb
 3d9b0356a3c1643e286ac6c920dcde95 31844 oldlibs extra xbmc-standalone_11.0~git20120403.ec33f1f+repack1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJPe9udAAoJED+5x4pTyFTfeucQALEsEIG6dvqkBNq4YGjnODAQ
F/VqSRN+3OF54mcA+Pj8DA6IK9pX0s/9eRmAg3cHGYqMVEndzzXEgGr4dNEB2VGJ
QstW8DbcxdyUdEB86xrRl93/fwtJxqW488iz7rq5tM7anZmixMIRxaB4rShXtR5q
m7eBBTs73job5uA3T5fCNbUhMGp4ANekR9bHdvb88I70uZS70yR1NTQyzR6F7nN2
vnWS3Rn/Pn0Sf4sp0l0IAAfm168Z0WKywy4WUNfuDOr7hNpYJQJYaNjyjx2ihDhJ
FwHVlvbcN9197mZG3lVKWn0JpTTUmEmFzFDfXstNy6z1LwtGjT2QNxtHZAL8sKqM
cOB0/14avmBGeKJQUeuYdBk/pbQwmQlVheKhApB467Yzossyy9koCbyUc1PDb1N0
pM6gNJBnG5u+WmvTTW0daxrEo5lf1T+zJ96U+oxa32FGE0Q2HVCD6GKFGWK0OjP7
54+X5IXoHF28W6/D8lIupEiqhyaQM75XDRslM8eT51Kt4VRAID1V9Cb1xW+HkK7+
ruwrDHVm6eI50uPRVZIGB3jBNgHo8Nt3CsdojRivPW6CShLDxrbTdOSYhJ9737e2
JIkbnjUbyzhnve6NBlTWELw8xitUtedGVrFQzaIeClQUuLqB6RJ3+fKg10vTCkHN
EDmzmb1n3NrkNZJTCVDF
=Si8l
-----END PGP SIGNATURE-----





Reply sent to Andres Mejia <amejia@debian.org>:
You have taken responsibility. (Fri, 06 Apr 2012 23:06:08 GMT) Full text and rfc822 format available.

Notification sent to <eric2.valette@orange-ftgroup.com>:
Bug acknowledged by developer. (Fri, 06 Apr 2012 23:06:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: xbmc -- XBMC Media Center' from 'ITP: xbmc -- XBox Media Center Linux Port' Request was from Andres Mejia <amejia004@gmail.com> to control@bugs.debian.org. (Sat, 07 Apr 2012 14:27:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 May 2012 07:44:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:10:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.